/*!
 * Copyright (c) 2024 PLANKA Software GmbH
 * Licensed under the Fair Use License: https://github.com/plankanban/planka/blob/master/LICENSE.md
 */

export default {
  /* Router */

  LOCATION_CHANGE_HANDLE: 'LOCATION_CHANGE_HANDLE',
  LOCATION_CHANGE_HANDLE__CONTENT_FETCH: 'LOCATION_CHANGE_HANDLE__CONTENT_FETCH',
  LOCATION_CHANGE_HANDLE__BOARD_FETCH: 'LOCATION_CHANGE_HANDLE__BOARD_FETCH',

  /* Socket */

  SOCKET_DISCONNECT_HANDLE: 'SOCKET_DISCONNECT_HANDLE',
  SOCKET_RECONNECT_HANDLE: 'SOCKET_RECONNECT_HANDLE',
  SOCKET_RECONNECT_HANDLE__CORE_FETCH: 'SOCKET_RECONNECT_HANDLE__CORE_FETCH',

  /* Login */

  LOGIN_INITIALIZE: 'LOGIN_INITIALIZE',
  AUTHENTICATE: 'AUTHENTICATE',
  AUTHENTICATE__SUCCESS: 'AUTHENTICATE__SUCCESS',
  AUTHENTICATE__FAILURE: 'AUTHENTICATE__FAILURE',
  WITH_OIDC_AUTHENTICATE: 'WITH_OIDC_AUTHENTICATE',
  WITH_OIDC_AUTHENTICATE__SUCCESS: 'WITH_OIDC_AUTHENTICATE__SUCCESS',
  WITH_OIDC_AUTHENTICATE__FAILURE: 'WITH_OIDC_AUTHENTICATE__FAILURE',
  AUTHENTICATE_ERROR_CLEAR: 'AUTHENTICATE_ERROR_CLEAR',

  /* Core */

  CORE_INITIALIZE: 'CORE_INITIALIZE',
  CORE_INITIALIZE__CONFIG_FETCH: 'CORE_INITIALIZE__CONFIG_FETCH',
  FAVORITES_TOGGLE: 'FAVORITES_TOGGLE',
  EDIT_MODE_TOGGLE: 'EDIT_MODE_TOGGLE',
  HOME_VIEW_UPDATE: 'HOME_VIEW_UPDATE',
  LOGOUT: 'LOGOUT',
  LOGOUT__ACCESS_TOKEN_INVALIDATE: 'LOGOUT__ACCESS_TOKEN_INVALIDATE',

  /* Modals */

  MODAL_OPEN: 'MODAL_OPEN',
  MODAL_CLOSE: 'MODAL_CLOSE',

  /* Users */

  USER_CREATE: 'USER_CREATE',
  USER_CREATE__SUCCESS: 'USER_CREATE__SUCCESS',
  USER_CREATE__FAILURE: 'USER_CREATE__FAILURE',
  USER_CREATE_HANDLE: 'USER_CREATE_HANDLE',
  USER_CREATE_ERROR_CLEAR: 'USER_CREATE_ERROR_CLEAR',
  USER_UPDATE: 'USER_UPDATE',
  USER_UPDATE__SUCCESS: 'USER_UPDATE__SUCCESS',
  USER_UPDATE__FAILURE: 'USER_UPDATE__FAILURE',
  USER_UPDATE_HANDLE: 'USER_UPDATE_HANDLE',
  USER_EMAIL_UPDATE: 'USER_EMAIL_UPDATE',
  USER_EMAIL_UPDATE__SUCCESS: 'USER_EMAIL_UPDATE__SUCCESS',
  USER_EMAIL_UPDATE__FAILURE: 'USER_EMAIL_UPDATE__FAILURE',
  USER_EMAIL_UPDATE_ERROR_CLEAR: 'USER_EMAIL_UPDATE_ERROR_CLEAR',
  USER_PASSWORD_UPDATE: 'USER_PASSWORD_UPDATE',
  USER_PASSWORD_UPDATE__SUCCESS: 'USER_PASSWORD_UPDATE__SUCCESS',
  USER_PASSWORD_UPDATE__FAILURE: 'USER_PASSWORD_UPDATE__FAILURE',
  USER_PASSWORD_UPDATE_ERROR_CLEAR: 'USER_PASSWORD_UPDATE_ERROR_CLEAR',
  USER_USERNAME_UPDATE: 'USER_USERNAME_UPDATE',
  USER_USERNAME_UPDATE__SUCCESS: 'USER_USERNAME_UPDATE__SUCCESS',
  USER_USERNAME_UPDATE__FAILURE: 'USER_USERNAME_UPDATE__FAILURE',
  USER_USERNAME_UPDATE_ERROR_CLEAR: 'USER_USERNAME_UPDATE_ERROR_CLEAR',
  USER_AVATAR_UPDATE: 'USER_AVATAR_UPDATE',
  USER_AVATAR_UPDATE__SUCCESS: 'USER_AVATAR_UPDATE__SUCCESS',
  USER_AVATAR_UPDATE__FAILURE: 'USER_AVATAR_UPDATE__FAILURE',
  USER_DELETE: 'USER_DELETE',
  USER_DELETE__SUCCESS: 'USER_DELETE__SUCCESS',
  USER_DELETE__FAILURE: 'USER_DELETE__FAILURE',
  USER_DELETE_HANDLE: 'USER_DELETE_HANDLE',
  USER_TO_CARD_ADD: 'USER_TO_CARD_ADD',
  USER_TO_CARD_ADD__SUCCESS: 'USER_TO_CARD_ADD__SUCCESS',
  USER_TO_CARD_ADD__FAILURE: 'USER_TO_CARD_ADD__FAILURE',
  USER_TO_CARD_ADD_HANDLE: 'USER_TO_CARD_ADD_HANDLE',
  USER_FROM_CARD_REMOVE: 'USER_FROM_CARD_REMOVE',
  USER_FROM_CARD_REMOVE__SUCCESS: 'USER_FROM_CARD_REMOVE__SUCCESS',
  USER_FROM_CARD_REMOVE__FAILURE: 'USER_FROM_CARD_REMOVE__FAILURE',
  USER_FROM_CARD_REMOVE_HANDLE: 'USER_FROM_CARD_REMOVE_HANDLE',
  USER_TO_BOARD_FILTER_ADD: 'USER_TO_BOARD_FILTER_ADD',
  USER_FROM_BOARD_FILTER_REMOVE: 'USER_FROM_BOARD_FILTER_REMOVE',

  /* Projects */

  PROJECTS_SEARCH: 'PROJECTS_SEARCH',
  PROJECTS_ORDER_UPDATE: 'PROJECTS_ORDER_UPDATE',
  HIDDEN_PROJECTS_TOGGLE: 'HIDDEN_PROJECTS_TOGGLE',
  PROJECT_CREATE: 'PROJECT_CREATE',
  PROJECT_CREATE__SUCCESS: 'PROJECT_CREATE__SUCCESS',
  PROJECT_CREATE__FAILURE: 'PROJECT_CREATE__FAILURE',
  PROJECT_CREATE_HANDLE: 'PROJECT_CREATE_HANDLE',
  PROJECT_UPDATE: 'PROJECT_UPDATE',
  PROJECT_UPDATE__SUCCESS: 'PROJECT_UPDATE__SUCCESS',
  PROJECT_UPDATE__FAILURE: 'PROJECT_UPDATE__FAILURE',
  PROJECT_UPDATE_HANDLE: 'PROJECT_UPDATE_HANDLE',
  PROJECT_DELETE: 'PROJECT_DELETE',
  PROJECT_DELETE__SUCCESS: 'PROJECT_DELETE__SUCCESS',
  PROJECT_DELETE__FAILURE: 'PROJECT_DELETE__FAILURE',
  PROJECT_DELETE_HANDLE: 'PROJECT_DELETE_HANDLE',

  /* Project managers */

  PROJECT_MANAGER_CREATE: 'PROJECT_MANAGER_CREATE',
  PROJECT_MANAGER_CREATE__SUCCESS: 'PROJECT_MANAGER_CREATE__SUCCESS',
  PROJECT_MANAGER_CREATE__FAILURE: 'PROJECT_MANAGER_CREATE__FAILURE',
  PROJECT_MANAGER_CREATE_HANDLE: 'PROJECT_MANAGER_CREATE_HANDLE',
  PROJECT_MANAGER_DELETE: 'PROJECT_MANAGER_DELETE',
  PROJECT_MANAGER_DELETE__SUCCESS: 'PROJECT_MANAGER_DELETE__SUCCESS',
  PROJECT_MANAGER_DELETE__FAILURE: 'PROJECT_MANAGER_DELETE__FAILURE',
  PROJECT_MANAGER_DELETE_HANDLE: 'PROJECT_MANAGER_DELETE_HANDLE',

  /* Background images */

  BACKGROUND_IMAGE_CREATE: 'BACKGROUND_IMAGE_CREATE',
  BACKGROUND_IMAGE_CREATE__SUCCESS: 'BACKGROUND_IMAGE_CREATE__SUCCESS',
  BACKGROUND_IMAGE_CREATE__FAILURE: 'BACKGROUND_IMAGE_CREATE__FAILURE',
  BACKGROUND_IMAGE_CREATE_HANDLE: 'BACKGROUND_IMAGE_CREATE_HANDLE',
  BACKGROUND_IMAGE_DELETE: 'BACKGROUND_IMAGE_DELETE',
  BACKGROUND_IMAGE_DELETE__SUCCESS: 'BACKGROUND_IMAGE_DELETE__SUCCESS',
  BACKGROUND_IMAGE_DELETE__FAILURE: 'BACKGROUND_IMAGE_DELETE__FAILURE',
  BACKGROUND_IMAGE_DELETE_HANDLE: 'BACKGROUND_IMAGE_DELETE_HANDLE',

  /* Base custom field groups */

  BASE_CUSTOM_FIELD_GROUP_CREATE: 'BASE_CUSTOM_FIELD_GROUP_CREATE',
  BASE_CUSTOM_FIELD_GROUP_CREATE__SUCCESS: 'BASE_CUSTOM_FIELD_GROUP_CREATE__SUCCESS',
  BASE_CUSTOM_FIELD_GROUP_CREATE__FAILURE: 'BASE_CUSTOM_FIELD_GROUP_CREATE__FAILURE',
  BASE_CUSTOM_FIELD_GROUP_CREATE_HANDLE: 'BASE_CUSTOM_FIELD_GROUP_CREATE_HANDLE',
  BASE_CUSTOM_FIELD_GROUP_UPDATE: 'BASE_CUSTOM_FIELD_GROUP_UPDATE',
  BASE_CUSTOM_FIELD_GROUP_UPDATE__SUCCESS: 'BASE_CUSTOM_FIELD_GROUP_UPDATE__SUCCESS',
  BASE_CUSTOM_FIELD_GROUP_UPDATE__FAILURE: 'BASE_CUSTOM_FIELD_GROUP_UPDATE__FAILURE',
  BASE_CUSTOM_FIELD_GROUP_UPDATE_HANDLE: 'BASE_CUSTOM_FIELD_GROUP_UPDATE_HANDLE',
  BASE_CUSTOM_FIELD_GROUP_DELETE: 'BASE_CUSTOM_FIELD_GROUP_DELETE',
  BASE_CUSTOM_FIELD_GROUP_DELETE__SUCCESS: 'BASE_CUSTOM_FIELD_GROUP_DELETE__SUCCESS',
  BASE_CUSTOM_FIELD_GROUP_DELETE__FAILURE: 'BASE_CUSTOM_FIELD_GROUP_DELETE__FAILURE',
  BASE_CUSTOM_FIELD_GROUP_DELETE_HANDLE: 'BASE_CUSTOM_FIELD_GROUP_DELETE_HANDLE',

  /* Boards */

  BOARD_CREATE: 'BOARD_CREATE',
  BOARD_CREATE__SUCCESS: 'BOARD_CREATE__SUCCESS',
  BOARD_CREATE__FAILURE: 'BOARD_CREATE__FAILURE',
  BOARD_CREATE_HANDLE: 'BOARD_CREATE_HANDLE',
  BOARD_FETCH: 'BOARD_FETCH',
  BOARD_FETCH__SUCCESS: 'BOARD_FETCH__SUCCESS',
  BOARD_FETCH__FAILURE: 'BOARD_FETCH__FAILURE',
  BOARD_UPDATE: 'BOARD_UPDATE',
  BOARD_UPDATE__SUCCESS: 'BOARD_UPDATE__SUCCESS',
  BOARD_UPDATE__FAILURE: 'BOARD_UPDATE__FAILURE',
  BOARD_UPDATE_HANDLE: 'BOARD_UPDATE_HANDLE',
  BOARD_CONTEXT_UPDATE: 'BOARD_CONTEXT_UPDATE',
  IN_BOARD_SEARCH: 'IN_BOARD_SEARCH', // TODO: rename?
  BOARD_DELETE: 'BOARD_DELETE',
  BOARD_DELETE__SUCCESS: 'BOARD_DELETE__SUCCESS',
  BOARD_DELETE__FAILURE: 'BOARD_DELETE__FAILURE',
  BOARD_DELETE_HANDLE: 'BOARD_DELETE_HANDLE',

  /* Board memberships */

  BOARD_MEMBERSHIP_CREATE: 'BOARD_MEMBERSHIP_CREATE',
  BOARD_MEMBERSHIP_CREATE__SUCCESS: 'BOARD_MEMBERSHIP_CREATE__SUCCESS',
  BOARD_MEMBERSHIP_CREATE__FAILURE: 'BOARD_MEMBERSHIP_CREATE__FAILURE',
  BOARD_MEMBERSHIP_CREATE_HANDLE: 'BOARD_MEMBERSHIP_CREATE_HANDLE',
  BOARD_MEMBERSHIP_UPDATE: 'BOARD_MEMBERSHIP_UPDATE',
  BOARD_MEMBERSHIP_UPDATE__SUCCESS: 'BOARD_MEMBERSHIP_UPDATE__SUCCESS',
  BOARD_MEMBERSHIP_UPDATE__FAILURE: 'BOARD_MEMBERSHIP_UPDATE__FAILURE',
  BOARD_MEMBERSHIP_UPDATE_HANDLE: 'BOARD_MEMBERSHIP_UPDATE_HANDLE',
  BOARD_MEMBERSHIP_DELETE: 'BOARD_MEMBERSHIP_DELETE',
  BOARD_MEMBERSHIP_DELETE__SUCCESS: 'BOARD_MEMBERSHIP_DELETE__SUCCESS',
  BOARD_MEMBERSHIP_DELETE__FAILURE: 'BOARD_MEMBERSHIP_DELETE__FAILURE',
  BOARD_MEMBERSHIP_DELETE_HANDLE: 'BOARD_MEMBERSHIP_DELETE_HANDLE',

  /* Labels */

  LABEL_CREATE: 'LABEL_CREATE',
  LABEL_CREATE__SUCCESS: 'LABEL_CREATE__SUCCESS',
  LABEL_CREATE__FAILURE: 'LABEL_CREATE__FAILURE',
  LABEL_FROM_CARD_CREATE: 'LABEL_FROM_CARD_CREATE',
  LABEL_FROM_CARD_CREATE__SUCCESS: 'LABEL_FROM_CARD_CREATE__SUCCESS',
  LABEL_FROM_CARD_CREATE__FAILURE: 'LABEL_FROM_CARD_CREATE__FAILURE',
  LABEL_CREATE_HANDLE: 'LABEL_CREATE_HANDLE',
  LABEL_UPDATE: 'LABEL_UPDATE',
  LABEL_UPDATE__SUCCESS: 'LABEL_UPDATE__SUCCESS',
  LABEL_UPDATE__FAILURE: 'LABEL_UPDATE__FAILURE',
  LABEL_UPDATE_HANDLE: 'LABEL_UPDATE_HANDLE',
  LABEL_DELETE: 'LABEL_DELETE',
  LABEL_DELETE__SUCCESS: 'LABEL_DELETE__SUCCESS',
  LABEL_DELETE__FAILURE: 'LABEL_DELETE__FAILURE',
  LABEL_DELETE_HANDLE: 'LABEL_DELETE_HANDLE',
  LABEL_TO_CARD_ADD: 'LABEL_TO_CARD_ADD',
  LABEL_TO_CARD_ADD__SUCCESS: 'LABEL_TO_CARD_ADD__SUCCESS',
  LABEL_TO_CARD_ADD__FAILURE: 'LABEL_TO_CARD_ADD__FAILURE',
  LABEL_TO_CARD_ADD_HANDLE: 'LABEL_TO_CARD_ADD_HANDLE',
  LABEL_FROM_CARD_REMOVE: 'LABEL_FROM_CARD_REMOVE',
  LABEL_FROM_CARD_REMOVE__SUCCESS: 'LABEL_FROM_CARD_REMOVE__SUCCESS',
  LABEL_FROM_CARD_REMOVE__FAILURE: 'LABEL_FROM_CARD_REMOVE__FAILURE',
  LABEL_FROM_CARD_REMOVE_HANDLE: 'LABEL_FROM_CARD_REMOVE_HANDLE',
  LABEL_TO_BOARD_FILTER_ADD: 'LABEL_TO_BOARD_FILTER_ADD',
  LABEL_FROM_BOARD_FILTER_REMOVE: 'LABEL_FROM_BOARD_FILTER_REMOVE',

  /* Lists */

  LIST_CREATE: 'LIST_CREATE',
  LIST_CREATE__SUCCESS: 'LIST_CREATE__SUCCESS',
  LIST_CREATE__FAILURE: 'LIST_CREATE__FAILURE',
  LIST_CREATE_HANDLE: 'LIST_CREATE_HANDLE',
  LIST_UPDATE: 'LIST_UPDATE',
  LIST_UPDATE__SUCCESS: 'LIST_UPDATE__SUCCESS',
  LIST_UPDATE__FAILURE: 'LIST_UPDATE__FAILURE',
  LIST_UPDATE_HANDLE: 'LIST_UPDATE_HANDLE',
  LIST_SORT: 'LIST_SORT',
  LIST_SORT__SUCCESS: 'LIST_SORT__SUCCESS',
  LIST_SORT__FAILURE: 'LIST_SORT__FAILURE',
  LIST_CARDS_MOVE: 'LIST_CARDS_MOVE',
  LIST_CARDS_MOVE__SUCCESS: 'LIST_CARDS_MOVE__SUCCESS',
  LIST_CARDS_MOVE__FAILURE: 'LIST_CARDS_MOVE__FAILURE',
  LIST_CLEAR: 'LIST_CLEAR',
  LIST_CLEAR__SUCCESS: 'LIST_CLEAR__SUCCESS',
  LIST_CLEAR__FAILURE: 'LIST_CLEAR__FAILURE',
  LIST_CLEAR_HANDLE: 'LIST_CLEAR_HANDLE',
  LIST_DELETE: 'LIST_DELETE',
  LIST_DELETE__SUCCESS: 'LIST_DELETE__SUCCESS',
  LIST_DELETE__FAILURE: 'LIST_DELETE__FAILURE',
  LIST_DELETE_HANDLE: 'LIST_DELETE_HANDLE',

  /* Cards */

  CARDS_FETCH: 'CARDS_FETCH',
  CARDS_FETCH__SUCCESS: 'CARDS_FETCH__SUCCESS',
  CARDS_FETCH__FAILURE: 'CARDS_FETCH__FAILURE',
  CARDS_UPDATE_HANDLE: 'CARDS_UPDATE_HANDLE',
  CARD_CREATE: 'CARD_CREATE',
  CARD_CREATE__SUCCESS: 'CARD_CREATE__SUCCESS',
  CARD_CREATE__FAILURE: 'CARD_CREATE__FAILURE',
  CARD_CREATE_HANDLE: 'CARD_CREATE_HANDLE',
  CARD_FETCH: 'CARD_FETCH',
  CARD_FETCH__SUCCESS: 'CARD_FETCH__SUCCESS',
  CARD_FETCH__FAILURE: 'CARD_FETCH__FAILURE',
  CARD_UPDATE: 'CARD_UPDATE',
  CARD_UPDATE__SUCCESS: 'CARD_UPDATE__SUCCESS',
  CARD_UPDATE__FAILURE: 'CARD_UPDATE__FAILURE',
  CARD_UPDATE_HANDLE: 'CARD_UPDATE_HANDLE',
  CARD_TRANSFER: 'CARD_TRANSFER',
  CARD_TRANSFER__SUCCESS: 'CARD_TRANSFER__SUCCESS',
  CARD_TRANSFER__FAILURE: 'CARD_TRANSFER__FAILURE',
  CARD_DUPLICATE: 'CARD_DUPLICATE',
  CARD_DUPLICATE__SUCCESS: 'CARD_DUPLICATE__SUCCESS',
  CARD_DUPLICATE__FAILURE: 'CARD_DUPLICATE__FAILURE',
  CARD_DELETE: 'CARD_DELETE',
  CARD_DELETE__SUCCESS: 'CARD_DELETE__SUCCESS',
  CARD_DELETE__FAILURE: 'CARD_DELETE__FAILURE',
  CARD_DELETE_HANDLE: 'CARD_DELETE_HANDLE',

  /* Task lists */

  TASK_LIST_CREATE: 'TASK_LIST_CREATE',
  TASK_LIST_CREATE__SUCCESS: 'TASK_LIST_CREATE__SUCCESS',
  TASK_LIST_CREATE__FAILURE: 'TASK_LIST_CREATE__FAILURE',
  TASK_LIST_CREATE_HANDLE: 'TASK_LIST_CREATE_HANDLE',
  TASK_LIST_UPDATE: 'TASK_LIST_UPDATE',
  TASK_LIST_UPDATE__SUCCESS: 'TASK_LIST_UPDATE__SUCCESS',
  TASK_LIST_UPDATE__FAILURE: 'TASK_LIST_UPDATE__FAILURE',
  TASK_LIST_UPDATE_HANDLE: 'TASK_LIST_UPDATE_HANDLE',
  TASK_LIST_DELETE: 'TASK_LIST_DELETE',
  TASK_LIST_DELETE__SUCCESS: 'TASK_LIST_DELETE__SUCCESS',
  TASK_LIST_DELETE__FAILURE: 'TASK_LIST_DELETE__FAILURE',
  TASK_LIST_DELETE_HANDLE: 'TASK_LIST_DELETE_HANDLE',

  /* Tasks */

  TASK_CREATE: 'TASK_CREATE',
  TASK_CREATE__SUCCESS: 'TASK_CREATE__SUCCESS',
  TASK_CREATE__FAILURE: 'TASK_CREATE__FAILURE',
  TASK_CREATE_HANDLE: 'TASK_CREATE_HANDLE',
  TASK_UPDATE: 'TASK_UPDATE',
  TASK_UPDATE__SUCCESS: 'TASK_UPDATE__SUCCESS',
  TASK_UPDATE__FAILURE: 'TASK_UPDATE__FAILURE',
  TASK_UPDATE_HANDLE: 'TASK_UPDATE_HANDLE',
  TASK_DELETE: 'TASK_DELETE',
  TASK_DELETE__SUCCESS: 'TASK_DELETE__SUCCESS',
  TASK_DELETE__FAILURE: 'TASK_DELETE__FAILURE',
  TASK_DELETE_HANDLE: 'TASK_DELETE_HANDLE',

  /* Attachments */

  ATTACHMENT_CREATE: 'ATTACHMENT_CREATE',
  ATTACHMENT_CREATE__SUCCESS: 'ATTACHMENT_CREATE__SUCCESS',
  ATTACHMENT_CREATE__FAILURE: 'ATTACHMENT_CREATE__FAILURE',
  ATTACHMENT_CREATE_HANDLE: 'ATTACHMENT_CREATE_HANDLE',
  ATTACHMENT_UPDATE: 'ATTACHMENT_UPDATE',
  ATTACHMENT_UPDATE__SUCCESS: 'ATTACHMENT_UPDATE__SUCCESS',
  ATTACHMENT_UPDATE__FAILURE: 'ATTACHMENT_UPDATE__FAILURE',
  ATTACHMENT_UPDATE_HANDLE: 'ATTACHMENT_UPDATE_HANDLE',
  ATTACHMENT_DELETE: 'ATTACHMENT_DELETE',
  ATTACHMENT_DELETE__SUCCESS: 'ATTACHMENT_DELETE__SUCCESS',
  ATTACHMENT_DELETE__FAILURE: 'ATTACHMENT_DELETE__FAILURE',
  ATTACHMENT_DELETE_HANDLE: 'ATTACHMENT_DELETE_HANDLE',

  /* Custom field groups */

  CUSTOM_FIELD_GROUP_CREATE: 'CUSTOM_FIELD_GROUP_CREATE',
  CUSTOM_FIELD_GROUP_CREATE__SUCCESS: 'CUSTOM_FIELD_GROUP_CREATE__SUCCESS',
  CUSTOM_FIELD_GROUP_CREATE__FAILURE: 'CUSTOM_FIELD_GROUP_CREATE__FAILURE',
  CUSTOM_FIELD_GROUP_CREATE_HANDLE: 'CUSTOM_FIELD_GROUP_CREATE_HANDLE',
  CUSTOM_FIELD_GROUP_UPDATE: 'CUSTOM_FIELD_GROUP_UPDATE',
  CUSTOM_FIELD_GROUP_UPDATE__SUCCESS: 'CUSTOM_FIELD_GROUP_UPDATE__SUCCESS',
  CUSTOM_FIELD_GROUP_UPDATE__FAILURE: 'CUSTOM_FIELD_GROUP_UPDATE__FAILURE',
  CUSTOM_FIELD_GROUP_UPDATE_HANDLE: 'CUSTOM_FIELD_GROUP_UPDATE_HANDLE',
  CUSTOM_FIELD_GROUP_DELETE: 'CUSTOM_FIELD_GROUP_DELETE',
  CUSTOM_FIELD_GROUP_DELETE__SUCCESS: 'CUSTOM_FIELD_GROUP_DELETE__SUCCESS',
  CUSTOM_FIELD_GROUP_DELETE__FAILURE: 'CUSTOM_FIELD_GROUP_DELETE__FAILURE',
  CUSTOM_FIELD_GROUP_DELETE_HANDLE: 'CUSTOM_FIELD_GROUP_DELETE_HANDLE',

  /* Custom fields */

  CUSTOM_FIELD_CREATE: 'CUSTOM_FIELD_CREATE',
  CUSTOM_FIELD_CREATE__SUCCESS: 'CUSTOM_FIELD_CREATE__SUCCESS',
  CUSTOM_FIELD_CREATE__FAILURE: 'CUSTOM_FIELD_CREATE__FAILURE',
  CUSTOM_FIELD_CREATE_HANDLE: 'CUSTOM_FIELD_CREATE_HANDLE',
  CUSTOM_FIELD_UPDATE: 'CUSTOM_FIELD_UPDATE',
  CUSTOM_FIELD_UPDATE__SUCCESS: 'CUSTOM_FIELD_UPDATE__SUCCESS',
  CUSTOM_FIELD_UPDATE__FAILURE: 'CUSTOM_FIELD_UPDATE__FAILURE',
  CUSTOM_FIELD_UPDATE_HANDLE: 'CUSTOM_FIELD_UPDATE_HANDLE',
  CUSTOM_FIELD_DELETE: 'CUSTOM_FIELD_DELETE',
  CUSTOM_FIELD_DELETE__SUCCESS: 'CUSTOM_FIELD_DELETE__SUCCESS',
  CUSTOM_FIELD_DELETE__FAILURE: 'CUSTOM_FIELD_DELETE__FAILURE',
  CUSTOM_FIELD_DELETE_HANDLE: 'CUSTOM_FIELD_DELETE_HANDLE',

  /* Custom field values */

  CUSTOM_FIELD_VALUE_UPDATE: 'CUSTOM_FIELD_VALUE_UPDATE',
  CUSTOM_FIELD_VALUE_UPDATE__SUCCESS: 'CUSTOM_FIELD_VALUE_UPDATE__SUCCESS',
  CUSTOM_FIELD_VALUE_UPDATE__FAILURE: 'CUSTOM_FIELD_VALUE_UPDATE__FAILURE',
  CUSTOM_FIELD_VALUE_UPDATE_HANDLE: 'CUSTOM_FIELD_VALUE_UPDATE_HANDLE',
  CUSTOM_FIELD_VALUE_DELETE: 'CUSTOM_FIELD_VALUE_DELETE',
  CUSTOM_FIELD_VALUE_DELETE__SUCCESS: 'CUSTOM_FIELD_VALUE_DELETE__SUCCESS',
  CUSTOM_FIELD_VALUE_DELETE__FAILURE: 'CUSTOM_FIELD_VALUE_DELETE__FAILURE',
  CUSTOM_FIELD_VALUE_DELETE_HANDLE: 'CUSTOM_FIELD_VALUE_DELETE_HANDLE',

  /* Comments */

  COMMENTS_FETCH: 'COMMENTS_FETCH',
  COMMENTS_FETCH__SUCCESS: 'COMMENTS_FETCH__SUCCESS',
  COMMENTS_FETCH__FAILURE: 'COMMENTS_FETCH__FAILURE',
  COMMENT_CREATE: 'COMMENT_CREATE',
  COMMENT_CREATE__SUCCESS: 'COMMENT_CREATE__SUCCESS',
  COMMENT_CREATE__FAILURE: 'COMMENT_CREATE__FAILURE',
  COMMENT_CREATE_HANDLE: 'COMMENT_CREATE_HANDLE',
  COMMENT_UPDATE: 'COMMENT_UPDATE',
  COMMENT_UPDATE__SUCCESS: 'COMMENT_UPDATE__SUCCESS',
  COMMENT_UPDATE__FAILURE: 'COMMENT_UPDATE__FAILURE',
  COMMENT_UPDATE_HANDLE: 'COMMENT_UPDATE_HANDLE',
  COMMENT_DELETE: 'COMMENT_DELETE',
  COMMENT_DELETE__SUCCESS: 'COMMENT_DELETE__SUCCESS',
  COMMENT_DELETE__FAILURE: 'COMMENT_DELETE__FAILURE',
  COMMENT_DELETE_HANDLE: 'COMMENT_DELETE_HANDLE',

  /* Activities */

  ACTIVITIES_IN_BOARD_FETCH: 'ACTIVITIES_IN_BOARD_FETCH',
  ACTIVITIES_IN_BOARD_FETCH__SUCCESS: 'ACTIVITIES_IN_BOARD_FETCH__SUCCESS',
  ACTIVITIES_IN_BOARD_FETCH__FAILURE: 'ACTIVITIES_IN_BOARD_FETCH__FAILURE',
  ACTIVITIES_IN_CARD_FETCH: 'ACTIVITIES_IN_CARD_FETCH',
  ACTIVITIES_IN_CARD_FETCH__SUCCESS: 'ACTIVITIES_IN_CARD_FETCH__SUCCESS',
  ACTIVITIES_IN_CARD_FETCH__FAILURE: 'ACTIVITIES_IN_CARD_FETCH__FAILURE',
  ACTIVITY_CREATE_HANDLE: 'ACTIVITY_CREATE_HANDLE',

  /* Notifications */

  ALL_NOTIFICATIONS_DELETE: 'ALL_NOTIFICATIONS_DELETE',
  ALL_NOTIFICATIONS_DELETE__SUCCESS: 'ALL_NOTIFICATIONS_DELETE__SUCCESS',
  ALL_NOTIFICATIONS_DELETE__FAILURE: 'ALL_NOTIFICATIONS_DELETE__FAILURE',
  NOTIFICATION_CREATE_HANDLE: 'NOTIFICATION_CREATE_HANDLE',
  NOTIFICATION_DELETE: 'NOTIFICATION_DELETE',
  NOTIFICATION_DELETE__SUCCESS: 'NOTIFICATION_DELETE__SUCCESS',
  NOTIFICATION_DELETE__FAILURE: 'NOTIFICATION_DELETE__FAILURE',
  NOTIFICATION_DELETE_HANDLE: 'NOTIFICATION_DELETE_HANDLE',

  /* Notification Services */

  NOTIFICATION_SERVICE_CREATE: 'NOTIFICATION_SERVICE_CREATE',
  NOTIFICATION_SERVICE_CREATE__SUCCESS: 'NOTIFICATION_SERVICE_CREATE__SUCCESS',
  NOTIFICATION_SERVICE_CREATE__FAILURE: 'NOTIFICATION_SERVICE_CREATE__FAILURE',
  NOTIFICATION_SERVICE_CREATE_HANDLE: 'NOTIFICATION_SERVICE_CREATE_HANDLE',
  NOTIFICATION_SERVICE_UPDATE: 'NOTIFICATION_SERVICE_UPDATE',
  NOTIFICATION_SERVICE_UPDATE__SUCCESS: 'NOTIFICATION_SERVICE_UPDATE__SUCCESS',
  NOTIFICATION_SERVICE_UPDATE__FAILURE: 'NOTIFICATION_SERVICE_UPDATE__FAILURE',
  NOTIFICATION_SERVICE_UPDATE_HANDLE: 'NOTIFICATION_SERVICE_UPDATE_HANDLE',
  NOTIFICATION_SERVICE_TEST: 'NOTIFICATION_SERVICE_TEST',
  NOTIFICATION_SERVICE_TEST__SUCCESS: 'NOTIFICATION_SERVICE_TEST__SUCCESS',
  NOTIFICATION_SERVICE_TEST__FAILURE: 'NOTIFICATION_SERVICE_TEST__FAILURE',
  NOTIFICATION_SERVICE_DELETE: 'NOTIFICATION_SERVICE_DELETE',
  NOTIFICATION_SERVICE_DELETE__SUCCESS: 'NOTIFICATION_SERVICE_DELETE__SUCCESS',
  NOTIFICATION_SERVICE_DELETE__FAILURE: 'NOTIFICATION_SERVICE_DELETE__FAILURE',
  NOTIFICATION_SERVICE_DELETE_HANDLE: 'NOTIFICATION_SERVICE_DELETE_HANDLE',
};
