import dateFns from 'date-fns/locale/cs';
import timeAgo from 'javascript-time-ago/locale/cs';

export default {
  dateFns,
  timeAgo,

  format: {
    date: 'd.M.yyyy',
    time: 'p',
    dateTime: '$t(format:date) $t(format:time)',
    longDate: 'd MMM',
    longDateTime: "d MMMM 'v' p",
    fullDate: 'd MMM, y',
    fullDateTime: "d MMMM, y 'v' p",
  },

  translation: {
    common: {
      aboutPlanka: 'O aplikaci PLANKA',
      account: 'Účet',
      actions: 'Akce',
      activateUser_title: 'Aktivovat uživatele',
      active: 'Aktivní',
      addAttachment_title: 'Přidat přílohu',
      addCustomField_title: 'Přidat vlastní pole',
      addCustomFieldGroup_title: 'Přidat vlastní skupinu polí',
      addManager_title: 'Přidat správce',
      addMember_title: 'Přidat člena',
      addTaskList_title: 'Přidat seznam úkolů',
      addUser_title: 'Přidat uživatele',
      admin: 'Admin',
      administration: 'Správa',
      all: 'Vše',
      allChangesWillBeAutomaticallySavedAfterConnectionRestored:
        'Všechny změny budou automaticky uloženy<br />po obnovení spojení.',
      alphabetically: 'Abecedně',
      alwaysDisplayCardCreator: 'Vždy zobrazit tvůrce karty',
      archive: 'Archivovat',
      archiveCard_title: 'Archivovat kartu',
      archiveCards_title: 'Archiv karet',
      areYouSureYouWantToActivateThisUser: 'Opravdu chcete tohoto uživatele aktivovat?',
      areYouSureYouWantToArchiveCards: 'Opravdu chcete archivovat karty?',
      areYouSureYouWantToArchiveThisCard: 'Opravdu chcete archivovat tuto kartu?',
      areYouSureYouWantToAssignThisProjectManagerAsOwner:
        'Opravdu chcete tohoto správce přiřadit jako vlastníka?',
      areYouSureYouWantToDeactivateThisUser: 'Opravdu chcete deaktivovat tohoto uživatele?',
      areYouSureYouWantToDeleteThisAttachment: 'Opravdu chcete smazat tuto přílohu?',
      areYouSureYouWantToDeleteThisBackgroundImage:
        'Opravdu chcete tento obrázek na pozadí odstranit?',
      areYouSureYouWantToDeleteThisBoard: 'Opravdu chcete smazat tuto nástěnku?',
      areYouSureYouWantToDeleteThisCard: 'Opravdu chcete smazat tuto kartu?',
      areYouSureYouWantToDeleteThisCardForever: 'Opravdu chcete tuto kartu navždy odstranit?',
      areYouSureYouWantToDeleteThisComment: 'Opravdu chcete smazat tento komentář?',
      areYouSureYouWantToDeleteThisCustomField: 'Opravdu chcete odstranit toto vlastní pole?',
      areYouSureYouWantToDeleteThisCustomFieldGroup:
        'Opravdu chcete tuto skupinu vlastních polí odstranit?',
      areYouSureYouWantToDeleteThisLabel: 'Opravdu chcete smazat tento štítek?',
      areYouSureYouWantToDeleteThisList: 'Opravdu chcete smazat tento seznam?',
      areYouSureYouWantToDeleteThisNotificationService:
        'Opravdu chcete tuto oznamovací službu odstranit?',
      areYouSureYouWantToDeleteThisProject: 'Opravdu chcete smazat tento projekt?',
      areYouSureYouWantToDeleteThisTask: 'Opravdu chcete smazat tento úkol?',
      areYouSureYouWantToDeleteThisTaskList: 'Opravdu chcete tento seznam úkolů odstranit?',
      areYouSureYouWantToDeleteThisUser: 'Opravdu chcete smazat tohoto uživatele?',
      areYouSureYouWantToEmptyTrash: 'Opravdu chcete vysypat koš?',
      areYouSureYouWantToLeaveBoard: 'Opravdu chcete opustit tuto nástěnku?',
      areYouSureYouWantToLeaveProject: 'Opravdu chcete opustit projekt?',
      areYouSureYouWantToMakeThisProjectShared: 'Opravdu chcete tento projekt sdílet?',
      areYouSureYouWantToRemoveThisManagerFromProject:
        'Opravdu chcete tohoto správce z projektu odebrat?',
      areYouSureYouWantToRemoveThisMemberFromBoard:
        'Opravdu chcete tohoto člena odebrat z nástěnky?',
      assignAsOwner_title: 'Přiřadit jako vlastníka',
      atLeastOneListMustBePresent: 'Musí být k dispozici alespoň jeden seznam',
      attachment: 'Příloha',
      attachments: 'Přílohy',
      authentication: 'Ověření',
      background: 'Pozadí',
      baseCustomFields_title: 'Základní vlastní pole',
      baseGroup: 'Základní skupina',
      board: 'Nástěnka',
      boardActions_title: 'Akce nástěnky',
      boardNotFound_title: 'Nástěnka nenalezena',
      boardSubscribed: 'Nástěnka odebíraná',
      boardUser: 'Uživatel nástěnky',
      byCreationTime: 'Podle času vytvoření',
      byDefault: 'Ve výchozím nastavení',
      byDueDate: 'Podle data platnosti',
      canBeInvitedToWorkInBoards: 'Může být pozván k práci v nástěnkách.',
      canComment: 'Může komentovat',
      canCreateOwnProjectsAndBeInvitedToWorkInOthers:
        'Může vytvářet vlastní projekty a být pozván k práci na jiných.',
      canEditBoardLayoutAndAssignMembersToCards:
        'Může upravovat rozvržení nástěnky a přiřazovat členy ke kartám.',
      canManageSystemWideSettingsAndActAsProjectOwner:
        'Může spravovat nastavení celého systému a být jako vlastník projektu.',
      canOnlyViewBoard: 'Může zobrazit pouze nástěnku.',
      cardActions_title: 'Akce karty',
      cardNotFound_title: 'Karta nenalezena',
      cardsOnThisListAreAvailableToAllBoardMembers:
        'Karty na tomto seznamu jsou k dispozici všem členům nástěnky.',
      cardsOnThisListAreCompleteAndReadyToBeArchived:
        'Karty na tomto seznamu jsou kompletní a připravené k archivaci.',
      cardsOnThisListAreReadyToBeWorkedOn: 'Karty na tomto seznamu jsou připraveny k práci.',
      clickHereOrRefreshPageToUpdate: '<0>Klikněte sem</0> nebo aktualizujte stránku.',
      closed: 'Uzavřeno',
      color: 'Barva',
      comments: 'Komentáře',
      contentExceedsLimit: 'Obsah překračuje {{limit}}',
      copy_inline: 'kopie',
      createBoard_title: 'Vytvořit nástěnku',
      createCustomFieldGroup_title: 'Vytvořit vlastní skupinu polí',
      createLabel_title: 'Vytvořit štítek',
      createNewOneOrSelectExistingOne: 'Vytvořit nový nebo vybrat<br />již existující.',
      createProject_title: 'Vytvořit projekt',
      createTextFile_title: 'Vytvořit textový soubor',
      creator: 'Tvůrce',
      currentPassword: 'Aktuální heslo',
      customField_title: 'Vlastní pole',
      customFields_title: 'Vlastní pole',
      customFieldGroup_title: 'Skupina vlastního pole',
      customFieldGroups_title: 'Skupina vlastních polí',
      dangerZone_title: 'Nebezpečná zóna',
      date: 'Datum',
      deactivateUser_title: 'Deaktivace uživatele',
      defaultCardType_title: 'Výchozí typ karty',
      defaultView_title: 'Výchozí zobrazení',
      deletedUser_title: 'Smazaný uživatel',
      deleteAllBoardsToBeAbleToDeleteThisProject:
        'Pro smazání tohoto projektu je třeba nejprve smazat všechny nástěnky',
      deleteAttachment_title: 'Smazat přílohu',
      deleteBackgroundImage_title: 'Smazat obrázek pozadí',
      deleteBoard_title: 'Smazat nástěnku',
      deleteCard_title: 'Smazat kartu',
      deleteCardForever_title: 'Smazat kartu navždy',
      deleteComment_title: 'Smazat komentář',
      deleteCustomField_title: 'Smazat vlastní pole',
      deleteCustomFieldGroup_title: 'Smazat skupinu vlastního pole',
      deleteLabel_title: 'Smazat štítek',
      deleteList_title: 'Smazat seznam',
      deleteNotificationService_title: 'Smazat službu oznámení',
      deleteProject_title: 'Smazat projekt',
      deleteTask_title: 'Smazat úkol',
      deleteTaskList_title: 'Smazat seznam úkolů',
      deleteUser_title: 'Smazat uživatele',
      description: 'Popis',
      detectAutomatically: 'Automatická detekce',
      display: 'Zobrazit',
      dropFileToUpload: 'Přetažením nahrát soubor',
      dueDate_title: 'Termín',
      dynamicAndUnevenlySpacedLayout: 'Dynamické a nerovnoměrné rozložení.',
      editAttachment_title: 'Upravit přílohu',
      editAvatar_title: 'Upravit avatar',
      editColor_title: 'Upravit barvu',
      editCustomField_title: 'Upravit vlastní pole',
      editCustomFieldGroup_title: 'Upravit skupinu vlastního pole',
      editDueDate_title: 'Upravit termín',
      editEmail_title: 'Upravit e-mail',
      editInformation_title: 'Upravit informace',
      editLabel_title: 'Upravit štítek',
      editPassword_title: 'Upravit heslo',
      editPermissions_title: 'Upravit oprávnění',
      editRole_title: 'Upravit roli',
      editStopwatch_title: 'Upravit časovač',
      editType_title: 'Upravit typ',
      editUsername_title: 'Upravit uživatelské jméno',
      email: 'E-mail',
      emptyTrash_title: 'Vyprázdnit koš',
      enterCardTitle: 'Vlož titulek karty...',
      enterDescription: 'Vlož popis...',
      enterFilename: 'Vlož název souboru',
      enterListTitle: 'Vlož název seznamu...',
      enterTaskDescription: 'Vlož popis úkolu...',
      filterByLabels_title: 'Filtrovat podle štítku',
      filterByMembers_title: 'Filtrovat podle člena',
      forTeamBasedProjects: 'Pro týmové projekty.',
      forPersonalProjects: 'Pro osobní projekty.',
      fromComputer_title: 'Z počítače',
      fromTrello: 'Z Trella',
      general: 'Obecné',
      gradients: 'Přechody',
      grid: 'Mřížka',
      hideFromProjectListAndFavorites: 'Skrýt ze seznamu projektů a oblíbených položek',
      hours: 'Hodiny',
      importBoard_title: 'Importovat nástěnku',
      invalidCurrentPassword: 'Neplatné aktuální heslo',
      kanban: 'Kanban',
      labels: 'Štítky',
      language: 'Jazyk',
      leaveBoard_title: 'Opustit nástěnku',
      leaveProject_title: 'Opustit projekt',
      limitCardTypesToDefaultOne: 'Omezit typy karet na jeden výchozí',
      list: 'Seznam',
      lists: 'Seznamy',
      listActions_title: 'Seznam akcí',
      makeProjectShared_title: 'Vytvořit sdílený projekt',
      managers: 'Správci',
      members: 'Členové',
      memberActions_title: 'Akce člena',
      minutes: 'Minuty',
      moveCard_title: 'Přesunout kartu',
      myOwn_title: 'Moje vlastní',
      name: 'Jméno',
      newestFirst: 'Nejnovější',
      newEmail: 'Nový e-mail',
      newPassword: 'Nové heslo',
      newUsername: 'Nové uživatelské jméno',
      newVersionAvailable: 'Nová verze je k dispozici',
      noConnectionToServer: 'Není spojení k serveru',
      noBoards: 'Žádné nástěnky',
      noLists: 'Žádné seznamy',
      noProjects: 'Žádné projekty',
      notifications: 'Oznámení',
      noUnreadNotifications: 'Žádné nepřečtené oznámení.',
      oldestFirst: 'Nejstarší',
      openBoard_title: 'Otevřít nástěnku',
      optional_inline: 'volitelné',
      organization: 'Společnost',
      others: 'Jiné',
      phone: 'Telefon',
      plankaUsesAppriseToSendNotificationsToOver100PopularServices:
        'PLANKA používá <1><0>Apprise</0></1> k zasílání oznámení do více než 100 oblíbených služeb.',
      preferences: 'Volby',
      pressPasteShortcutToAddAttachmentFromClipboard:
        'Tip: stisknutím Ctrl-V (Cmd-V na Macu) přidáte přílohu ze schránky.',
      private: 'Soukromé',
      project: 'Projekt',
      projectNotFound_title: 'Projekt nenalezen',
      projectOwner: 'Vlastník projektu',
      referenceDataAndKnowledgeStorage: 'Uchovávání referenčních údajů a znalostí.',
      removeManager_title: 'Odstranit správce',
      removeMember_title: 'Odstranit člena',
      role: 'Role',
      searchCards: 'Hledat karty...',
      searchCustomFields: 'Hledat vlastní pole...',
      searchCustomFieldGroups: 'Hledat skupiny vlastních polí...',
      searchLabels: 'Hledat štítky...',
      searchLists: 'Hledat seznamy...',
      searchMembers: 'Hledat členy...',
      searchProjects: 'Hledat projekty...',
      searchUsers: 'Hledat uživatele...',
      seconds: 'Vteřin',
      selectAssignee_title: 'Vybrat přiřazení',
      selectBoard: 'Vybrat nástěnku',
      selectList: 'Vybrat seznam',
      selectListToRestoreThisCard: 'Vybrat seznam pro obnovení této karty',
      selectOrder_title: 'Vybrat řazení',
      selectPermissions_title: 'Vybrat oprávnění',
      selectProject: 'Vybrat projekt',
      selectRole_title: 'Vybrat roli',
      selectType_title: 'Vybrat typ',
      sequentialDisplayOfCards: 'Sekvenční zobrazení karet.',
      settings: 'Nastavení',
      shared: 'Sdílené',
      sharedWithMe_title: 'Sdíleno se mnou',
      showOnFrontOfCard: 'Zobrazit na přední straně karty',
      sortList_title: 'Řadit podle',
      stopwatch: 'Časovač',
      story: 'Příběh',
      subscribeToCardWhenCommenting: 'Odebírat karty při komentování',
      subscribeToMyOwnCardsByDefault: 'Ve výchozím nastavení odebírat vlastní karty',
      taskActions_title: 'Akce úkolu',
      taskAssignmentAndProjectCompletion: 'Zadání úkolu a dokončení projektu.',
      taskList_title: 'Seznam úkolů',
      taskListActions_title: 'Akce seznamu úkolů',
      team: 'Tým',
      thereIsNoPreviewAvailableForThisAttachment: 'Pro tuto přílohu není k dispozici žádný náhled.',
      time: 'Čas',
      title: 'Titulek',
      trash: 'Koš',
      trashHasBeenSuccessfullyEmptied: 'Koš byl úspěšně vyprázdněn.',
      turnOffRecentCardHighlighting: 'Vypnout zvýraznění posledních karet',
      typeNameToConfirm: 'Zadejte název pro potvrzení.',
      typeTitleToConfirm: 'Zadejte titulek pro potvrzení.',
      unsavedChanges: 'Neuložené změny',
      uploadedImages: 'Nahrané obrázky',
      userActions_title: 'Akce uživatele',
      userAddedThisCardToList: '<0>{{user}}</0> přidal kartu do {{list}}',
      userLeftNewCommentToCard:
        '<0>{{user}}</0> zanechal nový komentář «{{comment}}» k <2>{{card}}</2>',
      userMovedCardFromListToList:
        '<0>{{user}}</0> přesunul <2>{{card}}</2> z {{fromList}} do {{toList}}',
      userMovedThisCardFromListToList:
        '<0>{{user}}</0> přesunul tuto kartu z {{fromList}} do {{toList}}',
      username: 'Uživatelské jméno',
      users: 'Uživatelé',
      viewer: 'Prohlížeč',
      viewers: 'Diváci',
      visualTaskManagementWithLists: 'Vizuální správa úkolů pomocí seznamů.',
      withoutBaseGroup: 'Bez základní skupiny',
      writeComment: 'Napsat komentář...',
    },

    action: {
      activateUser: 'Aktivovat uživatele',
      activateUser_title: 'Aktivovat uživatele',
      addAnotherCard: 'Přidat další kartu',
      addAnotherList: 'Přidat další seznam',
      addAnotherTask: 'Přidat další úkol',
      addCard: 'Přidat kartu',
      addCard_title: 'Přidat kartu',
      addComment: 'Přidat komentář',
      addCustomField: 'Přidat vlastní pole',
      addCustomFieldGroup: 'Přidat vlastní skupinu polí',
      addList: 'Přidat seznam',
      addMember: 'Přidat člena',
      addMoreDetailedDescription: 'Přidat další detailní popis',
      addTask: 'Přidat úkol',
      addTaskList: 'Přidat seznam úkolů',
      addToCard: 'Přidat na kartu',
      addUser: 'Přidat uživatele',
      archive: 'Archivovat',
      archiveCard: 'Archivovat kartu',
      archiveCard_title: 'Archivovat kartu',
      archiveCards: 'Archiv karet',
      archiveCards_title: 'Archiv karet',
      assignAsOwner: 'Přiřadit jako vlastníka',
      cancel: 'Zrušit',
      createBoard: 'Vytvořit nástěnku',
      createCustomFieldGroup: 'Vytvořit vlastní skupinu polí',
      createFile: 'Vytvořit soubor',
      createLabel: 'Vytvořit štítek',
      createNewLabel: 'Vytvořit nový štítek',
      createProject: 'Vytvořit projekt',
      deactivateUser: 'Deaktivace uživatele',
      deactivateUser_title: 'Deaktivace uživatele',
      delete: 'Smazat',
      deleteAttachment: 'Smazat přílohu',
      deleteAvatar: 'Smazat avatar',
      deleteBackgroundImage: 'Smazat obrázek pozadí',
      deleteBoard: 'Smazat nástěnku',
      deleteBoard_title: 'Smazat nástěnku',
      deleteCard: 'Smazat kartu',
      deleteCard_title: 'Smazat kartu',
      deleteCardForever: 'Smazat kartu navždy',
      deleteComment: 'Smazat komentář',
      deleteCustomField: 'Smazat vlastní pole',
      deleteCustomFieldGroup: 'Smazat skupinu vlastního pole',
      deleteForever_title: 'Smazat navždy',
      deleteGroup: 'Smazat skupinu',
      deleteLabel: 'Smazat štítek',
      deleteList: 'Smazat seznam',
      deleteList_title: 'Smazat seznam',
      deleteNotificationService: 'Smazat službu oznámení',
      deleteProject: 'Smazat projekt',
      deleteProject_title: 'Smazat projekt',
      deleteTask: 'Smazat úkol',
      deleteTask_title: 'Smazat úkol',
      deleteTaskList: 'Smazat seznam úkolů',
      deleteUser: 'Smazat uživatele',
      deleteUser_title: 'Smazat uživatele',
      dismissAll: 'Vše přečteno',
      duplicate: 'Duplikovat',
      duplicateCard_title: 'Duplikovat kartu',
      edit: 'Upravit',
      editColor_title: 'Upravit barvu',
      editDescription_title: 'Upravit popis',
      editDueDate_title: 'Upravit termín',
      editEmail_title: 'Upravit e-mail',
      editGroup: 'Upravit skupinu',
      editInformation_title: 'Upravit informace',
      editPassword_title: 'Upravit heslo',
      editPermissions: 'Upravit oprávnění',
      editRole_title: 'Upravit roli',
      editStopwatch_title: 'Upravit časovač',
      editTitle_title: 'Upravit titulek',
      editType_title: 'Upravit typ',
      editUsername_title: 'Upravit uživatelské jméno',
      emptyTrash: 'Vyprázdnit koš',
      emptyTrash_title: 'Vyprázdnit koš',
      import: 'Import',
      join: 'Připojit',
      leave: 'Opustit',
      leaveBoard: 'Opustit nástěnku',
      leaveProject: 'Opustit projekt',
      logOut_title: 'Odhlásit se',
      makeCover_title: 'Vytvořit obal',
      makeProjectShared: 'Vytvořit sdílený projekt',
      makeProjectShared_title: 'Vytvořit sdílený projekt',
      move: 'Přesunout',
      moveCard_title: 'Přesunout kartu',
      remove: 'Odstranit',
      removeAssignee: 'Odstranit přiřazení',
      removeColor: 'Smazat barvu',
      removeCover_title: 'Odstranit obal',
      removeFromBoard: 'Odstranit z nástěnky',
      removeFromProject: 'Odstranit z projektu',
      removeManager: 'Odstranit správce',
      removeMember: 'Odstranit člena',
      restoreToList: 'Obnovit do {{list}}',
      returnToBoard: 'Návrat na nástěnku',
      save: 'Uložit',
      showActive: 'Zobrazit aktivní',
      showAllAttachments: 'Zozbrazit všechny přílohy ({{hidden}} skryté)',
      showCardsWithThisUser: 'Zobrazit karty tohoto uživatele',
      showDeactivated: 'Zobrazit deaktivované',
      showFewerAttachments: 'Zobrazit méně příloh',
      sortList_title: 'Řadit podle',
      start: 'Start',
      stop: 'Stop',
      subscribe: 'Odebírat',
      unsubscribe: 'Neodebírat',
      uploadNewAvatar: 'Nahrát nový avatar',
      uploadNewImage: 'Nahrát nový obrázek',
    },
  },
};
