import dateFns from 'date-fns/locale/da';
import timeAgo from 'javascript-time-ago/locale/da';

export default {
  dateFns,
  timeAgo,

  format: {
    date: 'dd.MM.yyyy',
    time: 'HH.mm',
    dateTime: '$t(format:date) $t(format:time)',
    longDate: 'd. MMM',
    longDateTime: "d. MMMM 'kl.' HH:mm",
    fullDate: 'd. MMM y',
    fullDateTime: "d. MMMM y 'kl.' HH:mm",
  },

  translation: {
    common: {
      aboutPlanka: 'Om PLANKA',
      account: 'Konto',
      actions: 'Handlinger',
      addAttachment_title: 'Vedhæft fil',
      addManager_title: 'Tilføj projektleder',
      addMember_title: 'Tilføj medlem',
      addUser_title: 'Tilføj bruger',
      all: 'Alle',
      allChangesWillBeAutomaticallySavedAfterConnectionRestored:
        'Alle ændringer vil automatisk blive gemt<br />ved genoprettelse af forbindelsen.',
      areYouSureYouWantToDeleteThisAttachment:
        'Er du sikker på at du vil slette denne vedhæftede fil?',
      areYouSureYouWantToDeleteThisBoard: 'Er du sikker på at du vil slette denne tavle?',
      areYouSureYouWantToDeleteThisCard: 'Er du sikker på at du vil slette dette kort?',
      areYouSureYouWantToDeleteThisComment: 'Er du sikker på at du vil slette denne kommentar?',
      areYouSureYouWantToDeleteThisLabel: 'Er du sikker på at du vil slette denne label?',
      areYouSureYouWantToDeleteThisList: 'Er du sikker på at du vil slette denne liste?',
      areYouSureYouWantToDeleteThisProject: 'Er du sikker på at du vil slette dette projekt?',
      areYouSureYouWantToDeleteThisTask: 'Er du sikker på at du vil slette denne opgave?',
      areYouSureYouWantToDeleteThisUser: 'Er du sikker på at du vil slette denne bruger?',
      areYouSureYouWantToLeaveBoard: 'Er du sikker på at du vil forlade denne tavle?',
      areYouSureYouWantToLeaveProject: 'Er du sikker på at du vil forlade dette projekt?',
      areYouSureYouWantToRemoveThisManagerFromProject:
        'Er du sikker på at du vil fjerne denne projektleder fra projektet?',
      areYouSureYouWantToRemoveThisMemberFromBoard:
        'Er du sikker på at du vil fjerne dette medlem fra tavlen?',
      attachment: 'Vedhæft fil',
      attachments: 'Vedhæftede filer',
      authentication: 'Autentificering',
      background: 'Baggrundsbillede',
      board: 'Tavle',
      boardNotFound_title: 'Tavle ikke fundet',
      canComment: 'Kan kommentere',
      canOnlyViewBoard: 'Kan kun se denne tavle.',
      cardActions_title: 'Korthandlinger',
      cardNotFound_title: 'Kort ikke fundet',
      color: 'Farve',
      copy_inline: 'kopier',
      createBoard_title: 'Opret tavle',
      createLabel_title: 'Opret label',
      createNewOneOrSelectExistingOne: 'Lav en ny eller vælg<br />en eksisterende.',
      createProject_title: 'Opret projekt',
      createTextFile_title: 'Opret tekstfil',
      currentPassword: 'Nuværende adgangskode',
      dangerZone_title: 'Farezone',
      date: 'Dato',
      dueDate_title: 'Frist',
      deleteAttachment_title: 'Fjern vedhæftning',
      deleteBoard_title: 'Slet tavle',
      deleteCard_title: 'Slet kort',
      deleteComment_title: 'Slet kommentar',
      deleteLabel_title: 'Slet label',
      deleteList_title: 'Slet liste',
      deleteProject_title: 'Slet projekt',
      deleteTask_title: 'Slet opgave',
      deleteUser_title: 'Slet bruger',
      description: 'Beskrivelse',
      detectAutomatically: 'Registrer automatisk',
      dropFileToUpload: 'Slip fil for at uploade',
      editor: 'Redaktør',
      editAttachment_title: 'Rediger vedhæftning',
      editAvatar_title: 'Rediger profilbillede',
      editDueDate_title: 'Rediger frist',
      editEmail_title: 'Rediger E-mail',
      editInformation_title: 'Rediger information',
      editLabel_title: 'Rediger label',
      editPassword_title: 'Skift adgangskode',
      editPermissions_title: 'Rediger tilladelser',
      editStopwatch_title: 'Rediger stopur',
      editUsername_title: 'Rediger brugernavn',
      email: 'E-mail',
      enterCardTitle: 'Angiv kortets overskrift...',
      enterDescription: 'Angiv beskrivelsen...',
      enterFilename: 'Angiv filnavn',
      enterListTitle: 'Angiv listens overskrift...',
      enterTaskDescription: 'Angiv opgavens beskrivelse...',
      filterByLabels_title: 'Filtrer labels',
      filterByMembers_title: 'Filtrer medlemmer',
      fromComputer_title: 'Fra computer',
      fromTrello: 'Fra Trello',
      general: 'Generelt',
      hours: 'Timer',
      importBoard_title: 'Importer tavle',
      invalidCurrentPassword: 'Nuværende adgangskode er ugyldig',
      labels: 'Labels',
      language: 'Sprog',
      leaveBoard_title: 'Forlad tavle',
      leaveProject_title: 'Forlad projekt',
      list: 'Liste',
      listActions_title: 'Listehandlinger',
      managers: 'Projektledere',
      members: 'Medlemmer',
      memberActions_title: 'Medlemshandlinger',
      minutes: 'Minutter',
      moveCard_title: 'Flyt kort',
      name: 'Navn',
      newestFirst: 'Nyeste først',
      newEmail: 'Ny e-mail',
      newPassword: 'Ny adgangskode',
      newUsername: 'Nyt brugernavn',
      noConnectionToServer: 'Ingen forbindelse til serveren',
      noBoards: 'Ingen tavler',
      noLists: 'Ingen lister',
      noProjects: 'Ingen projekter',
      notifications: 'Notifikationer',
      noUnreadNotifications: 'Ingen ulæste notifikationer.',
      oldestFirst: 'Ældste først',
      openBoard_title: 'Åbn tavle',
      optional_inline: 'valgfri',
      organization: 'Organisation',
      phone: 'Telefon',
      preferences: 'Præferencer',
      pressPasteShortcutToAddAttachmentFromClipboard:
        'Tip: Tryk Ctrl-V (Cmd-V på Mac) for at vedhæfte direkte fra udklipsholder.',
      project: 'Projekt',
      projectNotFound_title: 'Projekt ikke fundet',
      removeManager_title: 'Fjern projektleder',
      removeMember_title: 'Fjern medlem',
      searchCards: 'Søg efter kort...',
      searchLabels: 'Søg efter labels...',
      searchMembers: 'Søg efter medlemmer...',
      searchUsers: 'Søg efter brugere...',
      seconds: 'Sekunder',
      selectBoard: 'Vælg tavle',
      selectList: 'Vælg liste',
      selectPermissions_title: 'Vælg tilladelser',
      selectProject: 'Vælg projekt',
      settings: 'Indstillinger',
      sortList_title: 'Sortér liste',
      stopwatch: 'Stopur',
      subscribeToMyOwnCardsByDefault: 'Abonnér på egne kort som standard',
      taskActions_title: 'Opgave handlinger',
      thereIsNoPreviewAvailableForThisAttachment:
        'Der er ingen forhåndsvisning tilgængelig for denne vedhæftning.',
      time: 'Tid',
      title: 'Overskrift',
      userActions_title: 'Brugerhandlinger',
      userAddedThisCardToList: '<0>{{user}}</0> tilføjede kortet til {{list}}',
      userLeftNewCommentToCard:
        '<0>{{user}}</0> skrevet en ny kommentar «{{comment}}» på <2>{{card}}</2>',
      userMovedCardFromListToList:
        '<0>{{user}}</0> flyttede <2>{{card}}</2> fra {{fromList}} til {{toList}}',
      userMovedThisCardFromListToList:
        '<0>{{user}}</0> flyttede kortet fra {{fromList}} til {{toList}}',
      username: 'Brugernavn',
      users: 'Brugere',
      viewer: 'Læser',
      writeComment: 'Skriv en kommentar...',
    },

    action: {
      addAnotherCard: 'Tilføj endnu et kort',
      addAnotherList: 'Tilføj endnu en liste',
      addAnotherTask: 'Tilføj endnu en opgave',
      addCard: 'Tilføj kort',
      addCard_title: 'Tilføj kort',
      addComment: 'Tilføj kommentar',
      addList: 'Tilføj liste',
      addMember: 'Tilføj medlem',
      addMoreDetailedDescription: 'Tilføj en uddybende beskrivelse',
      addTask: 'Tilføj opgave',
      addToCard: 'Tilføj til kort',
      addUser: 'Tilføj bruger',
      createBoard: 'Opret tavle',
      createFile: 'Opret fil',
      createLabel: 'Opret label',
      createNewLabel: 'Opret ny label',
      createProject: 'Opret projekt',
      delete: 'Slet',
      deleteAttachment: 'Slet vedhæftning',
      deleteAvatar: 'Slet profilbillede',
      deleteBoard: 'Slet tavle',
      deleteCard: 'Slet kort',
      deleteCard_title: 'Slet kort',
      deleteComment: 'Slet kommentar',
      deleteLabel: 'Slet label',
      deleteList: 'Slet liste',
      deleteList_title: 'Slet liste',
      deleteProject: 'Slet projekt',
      deleteProject_title: 'Slet projekt',
      deleteTask: 'Slet opgave',
      deleteTask_title: 'Slet opgave',
      deleteUser: 'Slet bruger',
      duplicate: 'Duplikér',
      duplicateCard_title: 'Duplikér kort',
      edit: 'Rediger',
      editColor_title: 'Rediger farve',
      editDueDate_title: 'Rediger frist',
      editDescription_title: 'Rediger beskrivelse',
      editEmail_title: 'Rediger e-mail',
      editInformation_title: 'Rediger information',
      editPassword_title: 'Skift adgangskode',
      editPermissions: 'Rediger tilladelser',
      editStopwatch_title: 'Rediger stopur',
      editTitle_title: 'Rediger overskrift',
      editUsername_title: 'Rediger brugernavn',
      import: 'Importer',
      leaveBoard: 'Forlad tavle',
      leaveProject: 'Forlad projekt',
      logOut_title: 'Log ud',
      makeCover_title: 'Gør til coverbillede',
      move: 'Flyt',
      moveCard_title: 'Flyt kort',
      remove: 'Fjern',
      removeColor: 'Fjern farve',
      removeCover_title: 'Fjern som coverbillede',
      removeFromBoard: 'Fjern fra tavle',
      removeFromProject: 'Fjern fra projekt',
      removeManager: 'Fjern projektleder',
      removeMember: 'Fjern medlem',
      save: 'Gem ændringer',
      showAllAttachments: 'Vis alle vedhæftninger ({{hidden}} skjulte)',
      showFewerAttachments: 'Vis færre vedhæftninger',
      sortList_title: 'Sortér liste',
      start: 'Start',
      stop: 'Stop',
      subscribe: 'Abonnér',
      unsubscribe: 'Opsig abonnement',
      uploadNewAvatar: 'Tilføj nyt profilbillede',
      uploadNewImage: 'Tilføj nyt billede',
    },
  },
};
