import dateFns from 'date-fns/locale/de';
import timeAgo from 'javascript-time-ago/locale/de';
import markdownEditor from './markdown-editor.json';

export default {
  dateFns,
  timeAgo,
  markdownEditor,

  format: {
    date: 'd.MM.yyyy',
    time: 'p',
    dateTime: '$t(format:date) $t(format:time)',
    fullDate: 'd. MMM. y',
    fullDateTime: "d. MMMM. y 'um' p",
    longDate: 'd. MMM',
    longDateTime: "d. MMMM yy 'um' p",
  },

  translation: {
    common: {
      aboutPlanka: 'Über PLANKA',
      account: 'Konto',
      actions: 'Aktionen',
      activateUser_title: 'Benutzer aktivieren',
      active: 'Aktiv',
      addAttachment_title: 'Anhang hinzufügen',
      addCustomField_title: 'Datenfeld hinzufügen',
      addCustomFieldGroup_title: 'Feldgruppe hinzufügen',
      addManager_title: 'Projektleiter hinzufügen',
      addMember_title: 'Mitglied hinzufügen',
      addTaskList_title: 'Aufgabenliste hinzufügen',
      addUser_title: 'Benutzer hinzufügen',
      admin: 'Administrator',
      administration: 'Verwaltung',
      all: 'Alle',
      allChangesWillBeAutomaticallySavedAfterConnectionRestored:
        'Alle Änderungen werden automatisch gespeichert, sobald die Verbindung wiederhergestellt wurde.',
      alphabetically: 'Alphabetisch',
      alwaysDisplayCardCreator: 'Kartenersteller immer anzeigen',
      archive: 'Archiv',
      archiveCard_title: 'Karte archivieren',
      archiveCards_title: 'Karten archivieren',
      areYouSureYouWantToActivateThisUser:
        'Sind Sie sicher, dass Sie diesen Benutzer aktivieren möchten?',
      areYouSureYouWantToArchiveCards:
        'Sind Sie sicher, dass Sie diese Karten archivieren möchten?',
      areYouSureYouWantToArchiveThisCard:
        'Sind Sie sicher, dass Sie diese Karte archivieren möchten?',
      areYouSureYouWantToAssignThisProjectManagerAsOwner:
        'Sind Sie sicher, dass Sie diesen Projektleiter als Eigentümer festlegen möchten?',
      areYouSureYouWantToDeactivateThisUser:
        'Sind Sie sicher, dass Sie diesen Benutzer deaktivieren möchten?',
      areYouSureYouWantToDeleteThisAttachment:
        'Sind Sie sicher, dass Sie diesen Anhang löschen möchten?',
      areYouSureYouWantToDeleteThisBackgroundImage:
        'Sind Sie sicher, dass Sie dieses Hintergrundbild löschen möchten?',
      areYouSureYouWantToDeleteThisBoard:
        'Sind Sie sicher, dass Sie diesen Arbeitsbereich löschen möchten?',
      areYouSureYouWantToDeleteThisCard: 'Sind Sie sicher, dass Sie diese Karte löschen möchten?',
      areYouSureYouWantToDeleteThisCardForever:
        'Sind Sie sicher, dass Sie diese Karte endgültig löschen möchten?',
      areYouSureYouWantToDeleteThisComment:
        'Sind Sie sicher, dass Sie diesen Kommentar löschen möchten?',
      areYouSureYouWantToDeleteThisCustomField:
        'Sind Sie sicher, dass Sie dieses Datenfeld löschen möchten?',
      areYouSureYouWantToDeleteThisCustomFieldGroup:
        'Sind Sie sicher, dass Sie diese Feldgruppe löschen möchten?',
      areYouSureYouWantToDeleteThisLabel: 'Sind Sie sicher, dass Sie dieses Label löschen möchten?',
      areYouSureYouWantToDeleteThisList: 'Sind Sie sicher, dass Sie diese Liste löschen möchten?',
      areYouSureYouWantToDeleteThisNotificationService:
        'Sind Sie sicher, dass Sie diesen Benachrichtigungsdienst löschen möchten?',
      areYouSureYouWantToDeleteThisProject:
        'Sind Sie sicher, dass Sie dieses Projekt löschen möchten?',
      areYouSureYouWantToDeleteThisTask: 'Sind Sie sicher, dass Sie diese Aufgabe löschen möchten?',
      areYouSureYouWantToDeleteThisTaskList:
        'Sind Sie sicher, dass Sie diese Aufgabenliste löschen möchten?',
      areYouSureYouWantToDeleteThisUser:
        'Sind Sie sicher, dass Sie diesen Benutzer löschen möchten?',
      areYouSureYouWantToEmptyTrash: 'Sind Sie sicher, dass Sie den Papierkorb leeren möchten?',
      areYouSureYouWantToLeaveBoard:
        'Sind Sie sicher, dass Sie den Arbeitsbereich verlassen möchten?',
      areYouSureYouWantToLeaveProject: 'Sind Sie sicher, dass Sie das Projekt verlassen möchten?',
      areYouSureYouWantToMakeThisProjectShared:
        'Sind Sie sicher, dass Sie dieses Projekt freigeben möchten?',
      areYouSureYouWantToRemoveThisManagerFromProject:
        'Sind Sie sicher, dass Sie diesen Projektleiter aus dem Projekt entfernen möchten?',
      areYouSureYouWantToRemoveThisMemberFromBoard:
        'Sind Sie sicher, dass Sie dieses Mitglied aus dem Arbeitsbereich entfernen möchten?',
      assignAsOwner_title: 'Als Eigentümer zuweisen',
      atLeastOneListMustBePresent: 'Mindestens eine Liste muss vorhanden sein',
      attachment: 'Anhang',
      attachments: 'Anhänge',
      authentication: 'Authentifizierung',
      background: 'Hintergrund',
      baseCustomFields_title: 'Feldgruppe',
      baseGroup: 'Feldgruppe',
      board: 'Arbeitsbereich',
      boardActions_title: 'Arbeitsbereich-Aktionen',
      boardNotFound_title: 'Arbeitsbereich nicht gefunden',
      boardSubscribed: 'Arbeitsbereich abonniert',
      boardUser: 'Benutzer',
      byCreationTime: 'Nach Erstellungszeit',
      byDefault: 'Standardmäßig',
      byDueDate: 'Nach Fälligkeitsdatum',
      canBeInvitedToWorkInBoards: 'Kann zu Projekten und Boards eingeladen werden.',
      canComment: 'Kann kommentieren',
      canCreateOwnProjectsAndBeInvitedToWorkInOthers:
        'Kann eigene Projekte erstellen und in Andere eingeladen werden.',
      canEditBoardLayoutAndAssignMembersToCards:
        'Kann den Arbeitsbereich layout bearbeiten und Benutzern Karten uiweisen.',
      canManageSystemWideSettingsAndActAsProjectOwner:
        'Kann systemweite Einstellungen vornehmen und als Projektleiter arbeiten.',
      canOnlyViewBoard: 'Kann das Board nur ansehen.',
      cardActions_title: 'Kartenaktionen',
      cardNotFound_title: 'Karte nicht gefunden',
      cardsOnThisListAreAvailableToAllBoardMembers:
        'Cards on this list are available to all Arbeitsbereich members.',
      cardsOnThisListAreCompleteAndReadyToBeArchived:
        'Karten in dieser Liste sind abgeschlossen und können archiviert werden.',
      cardsOnThisListAreReadyToBeWorkedOn: 'Karten in dieser Liste sind bereit zur Bearbeitung.',
      clickHereOrRefreshPageToUpdate:
        '<0>Hier klicken</0> oder Seite aktualisieren, um zu aktualisieren.',
      closed: 'Geschlossen',
      color: 'Farbe',
      comments: 'Kommentare',
      contentExceedsLimit: 'Inhalt überschreitet {{limit}}',
      copy_inline: 'kopieren',
      createBoard_title: 'Arbeitsbereich erstellen',
      createCustomFieldGroup_title: 'Feldgruppe erstellen',
      createLabel_title: 'Label erstellen',
      createNewOneOrSelectExistingOne: 'Create a new one or select<br /> an existing one.',
      createProject_title: 'Projekt erstellen',
      createTextFile_title: 'Textdatei erstellen',
      creator: 'Ersteller',
      currentPassword: 'Derzeitiges Passwort',
      customField_title: 'Feldgruppe',
      customFieldGroup_title: 'Feldgruppe',
      customFieldGroups_title: 'Benutzerdefinierte Feldgruppen',
      customFields_title: 'Feldgruppen',
      dangerZone_title: 'Gefahrenbereich',
      date: 'Datum',
      deactivateUser_title: 'Benutzer deaktivieren',
      defaultCardType_title: 'Standard-Kartentyp',
      defaultView_title: 'Standardansicht',
      deleteAllBoardsToBeAbleToDeleteThisProject:
        'Löschen Sie alle Arbeitsbereiche, um dieses Projekt löschen zu können',
      deleteAttachment_title: 'Anhang löschen',
      deleteBackgroundImage_title: 'Hintergrundbild löschen',
      deleteBoard_title: 'Arbeitsbereich löschen',
      deleteCard_title: 'Karte löschen',
      deleteCardForever_title: 'Karte endgültig löschen',
      deleteComment_title: 'Kommentar löschen',
      deleteCustomField_title: 'Datenfeld löschen',
      deleteCustomFieldGroup_title: 'Feldgruppe löschen',
      deletedUser_title: 'Gelöschter Benutzer',
      deleteLabel_title: 'Label löschen',
      deleteList_title: 'Liste löschen',
      deleteNotificationService_title: 'Benachrichtigungsdienst löschen',
      deleteProject_title: 'Projekt löschen',
      deleteTask_title: 'Aufgabe löschen',
      deleteTaskList_title: 'Aufgabenliste löschen',
      deleteUser_title: 'Benutzer löschen',
      description: 'Beschreibung',
      detectAutomatically: 'Automatisch erkennen',
      display: 'Anzeige',
      dropFileToUpload: 'Datei für Upload ablegen',
      dueDate_title: 'Fälligkeitsdatum',
      dynamicAndUnevenlySpacedLayout: 'Dynamisches und ungleichmäßig verteiltes Layout.',
      editAttachment_title: 'Anhang bearbeiten',
      editAvatar_title: 'Profilbild bearbeiten',
      editColor_title: 'Farbe bearbeiten',
      editCustomField_title: 'Datenfeld bearbeiten',
      editCustomFieldGroup_title: 'Feldgruppe bearbeiten',
      editDueDate_title: 'Fälligkeitsdatum bearbeiten',
      editEmail_title: 'E-mail Adresse ändern',
      editInformation_title: 'Informationen bearbeiten',
      editLabel_title: 'Label bearbeiten',
      editPassword_title: 'Passwort ändern',
      editPermissions_title: 'Benutzerrolle ändern',
      editRole_title: 'Rolle zuweisen',
      editStopwatch_title: 'Stoppuhr bearbeiten',
      editType_title: 'Typ ändern',
      editUsername_title: 'Benutzername ändern',
      editor: 'Bearbeiter',
      editors: 'Bearbeiter',
      email: 'E-mail',
      emptyTrash_title: 'Papierkorb leeren',
      enterCardTitle: 'Kartentitel eingeben...',
      enterDescription: 'Beschreibung eingeben...',
      enterFilename: 'Dateiname eingeben',
      enterListTitle: 'Listentitel eingeben...',
      enterTaskDescription: 'Aufgabenbeschreibung eingeben...',
      filterByLabels_title: 'Nach Label filtern',
      filterByMembers_title: 'Nach Mitgliedern filtern',
      forPersonalProjects: 'Für persönliche Projekte.',
      forTeamBasedProjects: 'Für teambasierte Projekte.',
      fromComputer_title: 'Vom Computer',
      fromTrello: 'Von Trello',
      general: 'Allgemein',
      gradients: 'Verläufe',
      grid: 'Raster',
      hideFromProjectListAndFavorites: 'Aus Projektliste und Favoriten ausblenden',
      hours: 'Stunden',
      importBoard_title: 'Board importieren',
      invalidCurrentPassword: 'Das aktuelle Passwort ist falsch',
      kanban: 'Kanban',
      labels: 'Labels',
      language: 'Sprache',
      leaveBoard_title: 'Arbeitsbereich verlassen',
      leaveProject_title: 'Projekt verlassen',
      limitCardTypesToDefaultOne: 'Kartentypen auf Standardtyp beschränken',
      list: 'Liste',
      listActions_title: 'Aufgaben auflisten',
      lists: 'Listen',
      makeProjectShared_title: 'Projekt freigeben',
      managerActions_title: 'Projektleiteraktionen',
      managers: 'Projektleiter',
      memberActions_title: 'Mitglieder-Aktionen',
      members: 'Mitglieder',
      minutes: 'Minuten',
      moveCard_title: 'Karte verschieben',
      myOwn_title: 'Meine eigenen',
      name: 'Name',
      newEmail: 'Neue E-Mail-Adresse',
      newPassword: 'Neues Passwort',
      newUsername: 'Neuer Benutzername',
      newVersionAvailable: 'Neue Version verfügbar',
      newestFirst: 'Neueste zuerst',
      noBoards: 'Keine Arbeitsbereiche',
      noConnectionToServer: 'Keine Verbindung zum Server',
      noLists: 'Keine Listen',
      noProjects: 'Keine Projekte',
      noUnreadNotifications: 'Keine ungelesenen Benachrichtigungen.',
      notifications: 'Benachrichtigungen',
      oldestFirst: 'Älteste zuerst',
      openBoard_title: 'Arbeitsbereich öffnen',
      optional_inline: 'Optional',
      organization: 'Organisation',
      others: 'Andere',
      phone: 'Telefon',
      plankaUsesAppriseToSendNotificationsToOver100PopularServices:
        'PLANKA verwendet <1><0>Apprise</0></1>, um Benachrichtigungen an über 100 beliebte Dienste zu senden.',
      preferences: 'Voreinstellungen',
      pressPasteShortcutToAddAttachmentFromClipboard:
        'Tipp: Drücken Sie STRG-V (Cmd-V auf Mac), um einen Anhang aus der Zwischenablage hinzuzufügen.',
      private: 'Privat',
      project: 'Projekt',
      projectNotFound_title: 'Projekt nicht gefunden',
      projectOwner: 'Projektleitung',
      referenceDataAndKnowledgeStorage: 'Speichern von Wissen und Referenzen.',
      removeManager_title: 'Projektleiter entfernen',
      removeMember_title: 'Mitglied entfernen',
      role: 'Rolle',
      searchCards: 'Karte suchen...',
      searchCustomFieldGroups: 'Benutzerdefinierte Feldgruppen suchen...',
      searchCustomFields: 'In Feldgruppen suchen...',
      searchLabels: 'Label suchen...',
      searchLists: 'Liste suchen...',
      searchMembers: 'Mitglied suchen...',
      searchProjects: 'Projekte suchen...',
      searchUsers: 'Benutzer suchen...',
      seconds: 'Sekunden',
      selectAssignee_title: 'Zuständigen auswählen',
      selectBoard: 'Arbeitsbereich auswählen',
      selectList: 'Liste auswählen',
      selectListToRestoreThisCard: 'Liste auswählen, um diese Karte wiederherzustellen',
      selectOrder_title: 'Reihenfolge auswählen',
      selectPermissions_title: 'Berechtigungen auswählen',
      selectProject: 'Projekt auswählen',
      selectRole_title: 'Rolle auswählen',
      selectType_title: 'Typ auswählen',
      sequentialDisplayOfCards: 'Sequenzielle Anzeige von Karten.',
      settings: 'Einstellungen',
      shared: 'Geteilt',
      sharedWithMe_title: 'Mit mir geteilt',
      showOnFrontOfCard: 'Auf der Vorderseite der Karte anzeigen',
      sortList_title: 'Liste sortieren',
      stopwatch: 'Stoppuhr',
      story: 'Wissen',
      subscribeToCardWhenCommenting: 'Karte beim Kommentieren abonnieren',
      subscribeToMyOwnCardsByDefault: 'Standardmäßig meine eigenen Karten abonnieren',
      taskActions_title: 'Aufgabenaktionen',
      taskAssignmentAndProjectCompletion: 'Verwaltung von Aufgaben und Projekten.',
      taskList_title: 'Aufgabenliste',
      taskListActions_title: 'Aufgabenlisten-Aktionen',
      team: 'Team',
      thereIsNoPreviewAvailableForThisAttachment: 'Für diesen Anhang ist keine Vorschau verfügbar.',
      time: 'Zeit',
      title: 'Titel',
      trash: 'Papierkorb',
      trashHasBeenSuccessfullyEmptied: 'Papierkorb wurde erfolgreich geleert.',
      turnOffRecentCardHighlighting: 'Hervorhebung neuer Karten ausschalten',
      typeNameToConfirm: 'Namen zur Bestätigung eingeben.',
      typeTitleToConfirm: 'Titel zur Bestätigung eingeben.',
      unsavedChanges: 'Ungespeicherte Änderungen',
      uploadedImages: 'Hochgeladene Bilder',
      userActions_title: 'Benutzeraktionen',
      userAddedThisCardToList: '<0>{{user}}</0> hat diese Karte hinzugefügt zu {{list}}',
      userLeftNewCommentToCard:
        '<0>{{user}}</0> hat einen neuen Kommentar verfasst: «{{comment}}» in <2>{{card}}</2>',
      userMovedCardFromListToList:
        '<0>{{user}}</0> bewegte <2>{{card}}</2> von {{fromList}} nach {{toList}}',
      userMovedThisCardFromListToList:
        '<0>{{user}}</0> bewegte diese Karte von {{fromList}} nach {{toList}}',
      username: 'Benutzername',
      users: 'Benutzer',
      viewer: 'Betrachter',
      viewers: 'Betrachter',
      visualTaskManagementWithLists: 'Visuelle Aufgabenverwaltung mit Listen.',
      withoutBaseGroup: 'Ohne Basisgruppe',
      writeComment: 'Kommentar verfassen...',
    },

    action: {
      activateUser: 'Benutzer aktivieren',
      activateUser_title: 'Benutzer aktivieren',
      addAnotherCard: 'Karte hinzufügen',
      addAnotherList: 'Liste hinzufügen',
      addAnotherTask: 'Aufgabe hinzufügen',
      addCard: 'Karte hinzufügen',
      addCard_title: 'Karte hinzufügen',
      addComment: 'Kommentar hinzufügen',
      addCustomField: 'Datenfeld hinzufügen',
      addCustomFieldGroup: 'Feldgruppe hinzufügen',
      addList: 'Liste hinzufügen',
      addMember: 'Mitglied hinzufügen',
      addMoreDetailedDescription: 'Eine detaillierte Beschreibung hinzufügen',
      addTask: 'Aufgabe hinzufügen',
      addTaskList: 'Aufgabenliste hinzufügen',
      addToCard: 'Zu Karte hinzufügen',
      addUser: 'Benutzer hinzufügen',
      archive: 'Archivieren',
      archiveCard: 'Karte archivieren',
      archiveCard_title: 'Karte archivieren',
      archiveCards: 'Karten archivieren',
      archiveCards_title: 'Karten archivieren',
      assignAsOwner: 'Als Eigentümer zuweisen',
      cancel: 'Abbrechen',
      createBoard: 'Arbeitsbereich erstellen',
      createCustomFieldGroup: 'Feldgruppe erstellen',
      createFile: 'Datei erstellen',
      createLabel: 'Label erstellen',
      createNewLabel: 'Neues Label erstellen',
      createProject: 'Projekt erstellen',
      deactivateUser: 'Benutzer deaktivieren',
      deactivateUser_title: 'Benutzer deaktivieren',
      delete: 'Löschen',
      deleteAttachment: 'Anhang löschen',
      deleteAvatar: 'Avatar löschen',
      deleteBackgroundImage: 'Hintergrundbild löschen',
      deleteBoard: 'Arbeitsbereich löschen',
      deleteBoard_title: 'Arbeitsbereich löschen',
      deleteCard: 'Karte löschen',
      deleteCard_title: 'Karte löschen',
      deleteCardForever: 'Karte endgültig löschen',
      deleteComment: 'Kommentar löschen',
      deleteCustomField: 'Datenfeld löschen',
      deleteCustomFieldGroup: 'Feldgruppe löschen',
      deleteForever_title: 'Endgültig löschen',
      deleteGroup: 'Gruppe löschen',
      deleteLabel: 'Label löschen',
      deleteList: 'Liste löschen',
      deleteList_title: 'Liste löschen',
      deleteNotificationService: 'Benachrichtigungsdienst löschen',
      deleteProject: 'Projekt löschen',
      deleteProject_title: 'Projekt löschen',
      deleteTask: 'Aufgabe löschen',
      deleteTask_title: 'Aufgabe löschen',
      deleteTaskList: 'Aufgabenliste löschen',
      deleteUser: 'Benutzer löschen',
      deleteUser_title: 'Benutzer löschen',
      dismissAll: 'Alle verwerfen',
      duplicate: 'Duplizieren',
      duplicateCard_title: 'Karte duplizieren',
      edit: 'Bearbeiten',
      editColor_title: 'Farbe bearbeiten',
      editDescription_title: 'Beschreibung ändern',
      editDueDate_title: 'Fälligkeitsdatum bearbeiten',
      editEmail_title: 'E-Mail-Adresse bearbeiten',
      editGroup: 'Gruppe bearbeiten',
      editInformation_title: 'Informationen bearbeiten',
      editPassword_title: 'Passwort ändern',
      editPermissions: 'Berechtigungen ändern',
      editRole_title: 'Rolle zuweisen',
      editStopwatch_title: 'Stoppuhr bearbeiten',
      editTitle_title: 'Titel bearbeiten',
      editType_title: 'Typ ändern ',
      editUsername_title: 'Benutzername ändern',
      emptyTrash: 'Papierkorb leeren',
      emptyTrash_title: 'Papierkorb leeren',
      import: 'Import',
      join: 'Beitreten',
      leave: 'Verlassen',
      leaveBoard: 'Arbeitsbereich verlassen',
      leaveProject: 'Projekt verlassen',
      logOut_title: 'Ausloggen',
      makeCover_title: 'Als Vorschau festlegen',
      makeProjectShared: 'Projekt freigeben',
      makeProjectShared_title: 'Projekt freigeben',
      move: 'Verschieben',
      moveCard_title: 'Karte bewegen',
      remove: 'Löschen',
      removeAssignee: 'Zuständigen entfernen',
      removeColor: 'Farbe löschen',
      removeCover_title: 'Vorschau löschen',
      removeFromBoard: 'Vom Arbeitsbereich entfernen',
      removeFromProject: 'Vom Projekt entfernen',
      removeManager: 'Projektleiter entfernen',
      removeMember: 'Mitglied entfernen',
      restoreToList: 'Wiederherstellen in {{list}}',
      returnToBoard: 'Zurück zum Arbeitsbereich',
      save: 'Speichern',
      showActive: 'Aktive anzeigen',
      showAllAttachments: 'Alle Anhänge anzeigen ({{hidden}} versteckt)',
      showCardsWithThisUser: 'Karten mit diesem Benutzer zeigen',
      showDeactivated: 'Deaktivierte anzeigen',
      showFewerAttachments: 'Weniger Anhänge anzeigen',
      sortList_title: 'Liste sortieren',
      start: 'Start',
      stop: 'Stopp',
      subscribe: 'Abonnieren',
      unsubscribe: 'De-abonnieren',
      uploadNewAvatar: 'Neuen Avatar hochladen',
      uploadNewImage: 'Neues Bild hochladen',
    },
  },
};
