import dateFns from 'date-fns/locale/en-GB';
import timeAgo from 'javascript-time-ago/locale/en-GB';

import markdownEditor from './markdown-editor.json';

export default {
  dateFns,
  timeAgo,
  markdownEditor,

  format: {
    date: 'P',
    time: 'p',
    dateTime: '$t(format:date) $t(format:time)',
    longDate: 'd MMM',
    longDateTime: "d MMMM 'at' p",
    fullDate: 'd MMM y',
    fullDateTime: "d MMMM y 'at' p",
  },

  translation: {
    common: {
      aboutPlanka: 'About PLANKA',
      account: 'Account',
      actions: 'Actions',
      activateUser_title: 'Activate User',
      active: 'Active',
      addAttachment_title: 'Add Attachment',
      addCustomField_title: 'Add Custom Field',
      addCustomFieldGroup_title: 'Add Custom Field Group',
      addManager_title: 'Add Manager',
      addMember_title: 'Add Member',
      addTaskList_title: 'Add Task List',
      addUser_title: 'Add User',
      admin: 'Admin',
      administration: 'Administration',
      all: 'All',
      allChangesWillBeAutomaticallySavedAfterConnectionRestored:
        'All changes will be automatically saved<br />after connection restored.',
      alphabetically: 'Alphabetically',
      alwaysDisplayCardCreator: 'Always display card creator',
      archive: 'Archive',
      archiveCard_title: 'Archive Card',
      archiveCards_title: 'Archive Cards',
      areYouSureYouWantToActivateThisUser: 'Are you sure you want to activate this user?',
      areYouSureYouWantToArchiveCards: 'Are you sure you want to archive cards?',
      areYouSureYouWantToArchiveThisCard: 'Are you sure you want to archive this card?',
      areYouSureYouWantToAssignThisProjectManagerAsOwner:
        'Are you sure you want to assign this project manager as owner?',
      areYouSureYouWantToDeactivateThisUser: 'Are you sure you want to deactivate this user?',
      areYouSureYouWantToDeleteThisAttachment: 'Are you sure you want to delete this attachment?',
      areYouSureYouWantToDeleteThisBackgroundImage:
        'Are you sure you want to delete this background image?',
      areYouSureYouWantToDeleteThisBoard: 'Are you sure you want to delete this board?',
      areYouSureYouWantToDeleteThisCard: 'Are you sure you want to delete this card?',
      areYouSureYouWantToDeleteThisCardForever:
        'Are you sure you want to delete this card forever?',
      areYouSureYouWantToDeleteThisComment: 'Are you sure you want to delete this comment?',
      areYouSureYouWantToDeleteThisCustomField:
        'Are you sure you want to delete this custom field?',
      areYouSureYouWantToDeleteThisCustomFieldGroup:
        'Are you sure you want to delete this custom field group?',
      areYouSureYouWantToDeleteThisLabel: 'Are you sure you want to delete this label?',
      areYouSureYouWantToDeleteThisList:
        'Are you sure you want to delete this list? All cards will be moved to trash.',
      areYouSureYouWantToDeleteThisNotificationService:
        'Are you sure you want to delete this notification service?',
      areYouSureYouWantToDeleteThisProject: 'Are you sure you want to delete this project?',
      areYouSureYouWantToDeleteThisTask: 'Are you sure you want to delete this task?',
      areYouSureYouWantToDeleteThisTaskList: 'Are you sure you want to delete this task list?',
      areYouSureYouWantToDeleteThisUser: 'Are you sure you want to delete this user?',
      areYouSureYouWantToEmptyTrash: 'Are you sure you want to empty the trash?',
      areYouSureYouWantToLeaveBoard: 'Are you sure you want to leave the board?',
      areYouSureYouWantToLeaveProject: 'Are you sure you want to leave the project?',
      areYouSureYouWantToMakeThisProjectShared:
        'Are you sure you want to make this project shared?',
      areYouSureYouWantToRemoveThisManagerFromProject:
        'Are you sure you want to remove this manager from the project?',
      areYouSureYouWantToRemoveThisMemberFromBoard:
        'Are you sure you want to remove this member from the board?',
      assignAsOwner_title: 'Assign As Owner',
      atLeastOneListMustBePresent: 'At least one list must be present',
      attachment: 'Attachment',
      attachments: 'Attachments',
      authentication: 'Authentication',
      background: 'Background',
      baseCustomFields_title: 'Base Custom Fields',
      baseGroup: 'Base group',
      board: 'Board',
      boardActions_title: 'Board Actions',
      boardNotFound_title: 'Board Not Found',
      boardSubscribed: 'Board subscribed',
      boardUser: 'Board user',
      byCreationTime: 'By creation time',
      byDefault: 'By default',
      byDueDate: 'By due date',
      canBeInvitedToWorkInBoards: 'Can be invited to work in boards.',
      canComment: 'Can comment',
      canCreateOwnProjectsAndBeInvitedToWorkInOthers:
        'Can create own projects and be invited to work in others.',
      canEditBoardLayoutAndAssignMembersToCards:
        'Can edit the board layout and assign members to cards.',
      canManageSystemWideSettingsAndActAsProjectOwner:
        'Can manage the system wide settings and act as project owner.',
      canOnlyViewBoard: 'Can only view the board.',
      cardActions_title: 'Card Actions',
      cardNotFound_title: 'Card Not Found',
      cardsOnThisListAreAvailableToAllBoardMembers:
        'Cards on this list are available to all board members.',
      cardsOnThisListAreCompleteAndReadyToBeArchived:
        'Cards on this list are complete and ready to be archived.',
      cardsOnThisListAreReadyToBeWorkedOn: 'Cards on this list are ready to be worked on.',
      clickHereOrRefreshPageToUpdate: '<0>Click here</0> or refresh the page to update.',
      closed: 'Closed',
      color: 'Color',
      comments: 'Comments',
      contentExceedsLimit: 'Content exceeds {{limit}}',
      contentOfThisAttachmentIsTooBigToDisplay: 'Content of this attachment is too big to display.',
      copy_inline: 'copy',
      createBoard_title: 'Create Board',
      createCustomFieldGroup_title: 'Create Custom Field Group',
      createLabel_title: 'Create Label',
      createNewOneOrSelectExistingOne: 'Create a new one or select<br />an existing one.',
      createProject_title: 'Create Project',
      createTextFile_title: 'Create Text File',
      creator: 'Creator',
      currentPassword: 'Current password',
      customField_title: 'Custom Field',
      customFields_title: 'Custom Fields',
      customFieldGroup_title: 'Custom Field Group',
      customFieldGroups_title: 'Custom Field Groups',
      dangerZone_title: 'Danger Zone',
      date: 'Date',
      deactivateUser_title: 'Deactivate User',
      defaultCardType_title: 'Default Card Type',
      defaultView_title: 'Default View',
      deletedUser_title: 'Deleted User',
      deleteAllBoardsToBeAbleToDeleteThisProject:
        'Delete all boards to be able to delete this project',
      deleteAttachment_title: 'Delete Attachment',
      deleteBackgroundImage_title: 'Delete Background Image',
      deleteBoard_title: 'Delete Board',
      deleteCard_title: 'Delete Card',
      deleteCardForever_title: 'Delete Card Forever',
      deleteComment_title: 'Delete Comment',
      deleteCustomField_title: 'Delete Custom Field',
      deleteCustomFieldGroup_title: 'Delete Custom Field Group',
      deleteLabel_title: 'Delete Label',
      deleteList_title: 'Delete List',
      deleteNotificationService_title: 'Delete Notification Service',
      deleteProject_title: 'Delete Project',
      deleteTask_title: 'Delete Task',
      deleteTaskList_title: 'Delete Task List',
      deleteUser_title: 'Delete User',
      description: 'Description',
      detectAutomatically: 'Detect automatically',
      display: 'Display',
      dropFileToUpload: 'Drop file to upload',
      dueDate_title: 'Due Date',
      dynamicAndUnevenlySpacedLayout: 'Dynamic and unevenly spaced layout.',
      editor: 'Editor',
      editors: 'Editors',
      editAttachment_title: 'Edit Attachment',
      editAvatar_title: 'Edit Avatar',
      editColor_title: 'Edit Color',
      editCustomField_title: 'Edit Custom Field',
      editCustomFieldGroup_title: 'Edit Custom Field Group',
      editDueDate_title: 'Edit Due Date',
      editEmail_title: 'Edit E-mail',
      editInformation_title: 'Edit Information',
      editLabel_title: 'Edit Label',
      editPassword_title: 'Edit Password',
      editPermissions_title: 'Edit Permissions',
      editRole_title: 'Edit Role',
      editStopwatch_title: 'Edit Stopwatch',
      editType_title: 'Edit Type',
      editUsername_title: 'Edit Username',
      email: 'E-mail',
      emptyTrash_title: 'Empty Trash',
      enterCardTitle: 'Enter card title...',
      enterDescription: 'Enter description...',
      enterFilename: 'Enter filename',
      enterListTitle: 'Enter list title...',
      enterTaskDescription: 'Enter task description...',
      filterByLabels_title: 'Filter By Labels',
      filterByMembers_title: 'Filter By Members',
      forTeamBasedProjects: 'For team-based projects.',
      forPersonalProjects: 'For personal projects.',
      fromComputer_title: 'From Computer',
      fromTrello: 'From Trello',
      general: 'General',
      gradients: 'Gradients',
      grid: 'Grid',
      hideFromProjectListAndFavorites: 'Hide from project list and favorites',
      hours: 'Hours',
      importBoard_title: 'Import Board',
      invalidCurrentPassword: 'Invalid current password',
      kanban: 'Kanban',
      labels: 'Labels',
      language: 'Language',
      leaveBoard_title: 'Leave Board',
      leaveProject_title: 'Leave Project',
      limitCardTypesToDefaultOne: 'Limit card types to default one',
      list: 'List',
      lists: 'Lists',
      listActions_title: 'List Actions',
      makeProjectShared_title: 'Make Project Shared',
      managers: 'Managers',
      members: 'Members',
      memberActions_title: 'Member Actions',
      minutes: 'Minutes',
      moveCard_title: 'Move Card',
      myOwn_title: 'My Own',
      name: 'Name',
      newestFirst: 'Newest first',
      newEmail: 'New e-mail',
      newPassword: 'New password',
      newUsername: 'New username',
      newVersionAvailable: 'New version available',
      noConnectionToServer: 'No connection to server',
      noBoards: 'No boards',
      noLists: 'No lists',
      noProjects: 'No projects',
      notifications: 'Notifications',
      noUnreadNotifications: 'No unread notifications.',
      oldestFirst: 'Oldest first',
      openBoard_title: 'Open Board',
      optional_inline: 'optional',
      organization: 'Organization',
      others: 'Others',
      phone: 'Phone',
      plankaUsesAppriseToSendNotificationsToOver100PopularServices:
        'PLANKA uses <1><0>Apprise</0></1> to send notifications to over 100 popular services.',
      preferences: 'Preferences',
      pressPasteShortcutToAddAttachmentFromClipboard:
        'Tip: press Ctrl-V (Cmd-V on Mac) to add an attachment from the clipboard.',
      private: 'Private',
      project: 'Project',
      projectNotFound_title: 'Project Not Found',
      projectOwner: 'Project owner',
      referenceDataAndKnowledgeStorage: 'Reference data and knowledge storage.',
      removeManager_title: 'Remove Manager',
      removeMember_title: 'Remove Member',
      role: 'Role',
      searchCards: 'Search cards...',
      searchCustomFields: 'Search custom fields...',
      searchCustomFieldGroups: 'Search custom field groups...',
      searchLabels: 'Search labels...',
      searchLists: 'Search lists...',
      searchMembers: 'Search members...',
      searchProjects: 'Search projects...',
      searchUsers: 'Search users...',
      seconds: 'Seconds',
      selectAssignee_title: 'Select Assignee',
      selectBoard: 'Select board',
      selectList: 'Select list',
      selectListToRestoreThisCard: 'Select list to restore this card',
      selectOrder_title: 'Select Order',
      selectPermissions_title: 'Select Permissions',
      selectProject: 'Select project',
      selectRole_title: 'Select Role',
      selectType_title: 'Select Type',
      sequentialDisplayOfCards: 'Sequential display of cards.',
      settings: 'Settings',
      shared: 'Shared',
      sharedWithMe_title: 'Shared With Me',
      showOnFrontOfCard: 'Show on front of card',
      sortList_title: 'Sort List',
      stopwatch: 'Stopwatch',
      story: 'Story',
      subscribeToCardWhenCommenting: 'Subscribe to card when commenting',
      subscribeToMyOwnCardsByDefault: 'Subscribe to my own cards by default',
      taskActions_title: 'Task Actions',
      taskAssignmentAndProjectCompletion: 'Task assignment and project completion.',
      taskList_title: 'Task List',
      taskListActions_title: 'Task List Actions',
      team: 'Team',
      thereIsNoPreviewAvailableForThisAttachment:
        'There is no preview available for this attachment.',
      time: 'Time',
      title: 'Title',
      trash: 'Trash',
      trashHasBeenSuccessfullyEmptied: 'Trash has been successfully emptied.',
      turnOffRecentCardHighlighting: 'Turn off recent card highlighting',
      typeNameToConfirm: 'Type the name to confirm.',
      typeTitleToConfirm: 'Type the title to confirm.',
      unsavedChanges: 'Unsaved changes',
      uploadedImages: 'Uploaded images',
      userActions_title: 'User Actions',
      userAddedCardToList: '<0>{{user}}</0> added <2>{{card}}</2> to {{list}}',
      userAddedThisCardToList: '<0>{{user}}</0> added this card to {{list}}',
      userAddedUserToCard: '<0>{{actorUser}}</0> added {{addedUser}} to <4>{{card}}</4>',
      userAddedUserToThisCard: '<0>{{actorUser}}</0> added {{addedUser}} to this card',
      userAddedYouToCard: '<0>{{user}}</0> added you to <2>{{card}}</2>',
      userCompletedTaskOnCard: '<0>{{user}}</0> completed {{task}} on <4>{{card}}</4>',
      userCompletedTaskOnThisCard: '<0>{{user}}</0> completed {{task}} on this card',
      userJoinedCard: `<0>{{user}}</0> joined <2>{{card}}</2>`,
      userJoinedThisCard: `<0>{{user}}</0> joined this card`,
      userLeftNewCommentToCard:
        '<0>{{user}}</0> left a new comment «{{comment}}» to <2>{{card}}</2>',
      userLeftCard: '<0>{{user}}</0> left <2>{{card}}</2>',
      userLeftThisCard: '<0>{{user}}</0> left this card',
      userMarkedTaskIncompleteOnCard:
        '<0>{{user}}</0> marked {{task}} incomplete on <4>{{card}}</4>',
      userMarkedTaskIncompleteOnThisCard: '<0>{{user}}</0> marked {{task}} incomplete on this card',
      userMovedCardFromListToList:
        '<0>{{user}}</0> moved <2>{{card}}</2> from {{fromList}} to {{toList}}',
      userMovedThisCardFromListToList:
        '<0>{{user}}</0> moved this card from {{fromList}} to {{toList}}',
      userRemovedUserFromCard: '<0>{{actorUser}}</0> removed {{removedUser}} from <4>{{card}}</4>',
      userRemovedUserFromThisCard: '<0>{{actorUser}}</0> removed {{removedUser}} from this card',
      username: 'Username',
      users: 'Users',
      viewer: 'Viewer',
      viewers: 'Viewers',
      visualTaskManagementWithLists: 'Visual task management with lists.',
      withoutBaseGroup: 'Without base group',
      writeComment: 'Write a comment...',
    },

    action: {
      activateUser: 'Activate user',
      activateUser_title: 'Activate User',
      addAnotherCard: 'Add another card',
      addAnotherList: 'Add another list',
      addAnotherTask: 'Add another task',
      addCard: 'Add card',
      addCard_title: 'Add Card',
      addComment: 'Add comment',
      addCustomField: 'Add custom field',
      addCustomFieldGroup: 'Add custom field group',
      addList: 'Add list',
      addMember: 'Add member',
      addMoreDetailedDescription: 'Add more detailed description',
      addTask: 'Add task',
      addTaskList: 'Add task list',
      addToCard: 'Add to card',
      addUser: 'Add user',
      archive: 'Archive',
      archiveCard: 'Archive card',
      archiveCard_title: 'Archive Card',
      archiveCards: 'Archive cards',
      archiveCards_title: 'Archive Cards',
      assignAsOwner: 'Assign as owner',
      cancel: 'Cancel',
      createBoard: 'Create board',
      createCustomFieldGroup: 'Create custom field group',
      createFile: 'Create file',
      createLabel: 'Create label',
      createNewLabel: 'Create new label',
      createProject: 'Create project',
      deactivateUser: 'Deactivate user',
      deactivateUser_title: 'Deactivate User',
      delete: 'Delete',
      deleteAttachment: 'Delete attachment',
      deleteAvatar: 'Delete avatar',
      deleteBackgroundImage: 'Delete background image',
      deleteBoard: 'Delete board',
      deleteBoard_title: 'Delete Board',
      deleteCard: 'Delete card',
      deleteCard_title: 'Delete Card',
      deleteCardForever: 'Delete card forever',
      deleteComment: 'Delete comment',
      deleteCustomField: 'Delete custom field',
      deleteCustomFieldGroup: 'Delete custom field group',
      deleteForever_title: 'Delete Forever',
      deleteGroup: 'Delete group',
      deleteLabel: 'Delete label',
      deleteList: 'Delete list',
      deleteList_title: 'Delete List',
      deleteNotificationService: 'Delete notification service',
      deleteProject: 'Delete project',
      deleteProject_title: 'Delete Project',
      deleteTask: 'Delete task',
      deleteTask_title: 'Delete Task',
      deleteTaskList: 'Delete task list',
      deleteUser: 'Delete user',
      deleteUser_title: 'Delete User',
      dismissAll: 'Dismiss all',
      duplicate: 'Duplicate',
      duplicateCard_title: 'Duplicate Card',
      edit: 'Edit',
      editColor_title: 'Edit Color',
      editDueDate_title: 'Edit Due Date',
      editDescription_title: 'Edit Description',
      editEmail_title: 'Edit E-mail',
      editGroup: 'Edit group',
      editInformation_title: 'Edit Information',
      editPassword_title: 'Edit Password',
      editPermissions: 'Edit permissions',
      editRole_title: 'Edit Role',
      editStopwatch_title: 'Edit Stopwatch',
      editTitle_title: 'Edit Title',
      editType_title: 'Edit Type',
      editUsername_title: 'Edit Username',
      emptyTrash: 'Empty trash',
      emptyTrash_title: 'Empty Trash',
      import: 'Import',
      join: 'Join',
      leave: 'Leave',
      leaveBoard: 'Leave board',
      leaveProject: 'Leave project',
      logOut_title: 'Log Out',
      makeCover_title: 'Make Cover',
      makeProjectShared: 'Make project shared',
      makeProjectShared_title: 'Make Project Shared',
      move: 'Move',
      moveCard_title: 'Move Card',
      remove: 'Remove',
      removeAssignee: 'Remove assignee',
      removeColor: 'Remove color',
      removeCover_title: 'Remove Cover',
      removeFromBoard: 'Remove from board',
      removeFromProject: 'Remove from project',
      removeManager: 'Remove manager',
      removeMember: 'Remove member',
      restoreToList: 'Restore to {{list}}',
      returnToBoard: 'Return to board',
      save: 'Save',
      showActive: 'Show active',
      showAllAttachments: 'Show all attachments ({{hidden}} hidden)',
      showCardsWithThisUser: 'Show cards with this user',
      showDeactivated: 'Show deactivated',
      showFewerAttachments: 'Show fewer attachments',
      sortList_title: 'Sort List',
      start: 'Start',
      stop: 'Stop',
      subscribe: 'Subscribe',
      unsubscribe: 'Unsubscribe',
      uploadNewAvatar: 'Upload new avatar',
      uploadNewImage: 'Upload new image',
    },
  },
};
