import dateFns from 'date-fns/locale/ko';
import timeAgo from 'javascript-time-ago/locale/ko';

export default {
  dateFns,
  timeAgo,

  format: {
    date: 'yyyy년 M월 d일',
    time: 'a h시 m분',
    dateTime: '$t(format:date) $t(format:time)',
    longDate: 'M월 d일',
    longDateTime: 'M월 d일 a h시 m분',
    fullDate: 'yyyy년 M월 d일',
    fullDateTime: 'yyyy년 M월 d일 a h시 m분',
  },

  translation: {
    common: {
      aboutPlanka: 'PLANKA 소개',
      account: '계정',
      actions: '작업',
      addAttachment_title: '첨부 파일 추가',
      addManager_title: '관리자 추가',
      addMember_title: '멤버 추가',
      addUser_title: '사용자 추가',
      all: '전체',
      allChangesWillBeAutomaticallySavedAfterConnectionRestored:
        '연결이 복구되면 모든 변경 사항이 자동으로 저장됩니다.',
      areYouSureYouWantToDeleteThisAttachment: '이 첨부 파일을 삭제하시겠습니까?',
      areYouSureYouWantToDeleteThisBoard: '이 보드를 삭제하시겠습니까?',
      areYouSureYouWantToDeleteThisCard: '이 카드를 삭제하시겠습니까?',
      areYouSureYouWantToDeleteThisComment: '이 댓글을 삭제하시겠습니까?',
      areYouSureYouWantToDeleteThisLabel: '이 라벨을 삭제하시겠습니까?',
      areYouSureYouWantToDeleteThisList: '이 목록을 삭제하시겠습니까?',
      areYouSureYouWantToDeleteThisProject: '이 프로젝트를 삭제하시겠습니까?',
      areYouSureYouWantToDeleteThisTask: '이 작업을 삭제하시겠습니까?',
      areYouSureYouWantToDeleteThisUser: '이 사용자를 삭제하시겠습니까?',
      areYouSureYouWantToLeaveBoard: '이 보드를 떠나시겠습니까?',
      areYouSureYouWantToLeaveProject: '이 프로젝트를 떠나시겠습니까?',
      areYouSureYouWantToRemoveThisManagerFromProject: '이 관리자를 프로젝트에서 제거하시겠습니까?',
      areYouSureYouWantToRemoveThisMemberFromBoard: '이 멤버를 보드에서 제거하시겠습니까?',
      attachment: '첨부 파일',
      attachments: '첨부 파일들',
      authentication: '인증',
      background: '배경',
      board: '보드',
      boardNotFound_title: '보드를 찾을 수 없음',
      canComment: '댓글 작성 가능',
      canOnlyViewBoard: '보드를 보기만 할 수 있습니다.',
      cardActions_title: '카드 작업',
      cardNotFound_title: '카드를 찾을 수 없음',
      color: '색상',
      copy_inline: '복사',
      createBoard_title: '보드 생성',
      createLabel_title: '라벨 생성',
      createNewOneOrSelectExistingOne: '새로 만들거나 기존 것을 선택하세요.',
      createProject_title: '프로젝트 생성',
      createTextFile_title: '텍스트 파일 생성',
      currentPassword: '현재 비밀번호',
      dangerZone_title: '위험 구역',
      date: '날짜',
      dueDate_title: '마감일',
      deleteAttachment_title: '첨부 파일 삭제',
      deleteBoard_title: '보드 삭제',
      deleteCard_title: '카드 삭제',
      deleteComment_title: '댓글 삭제',
      deleteLabel_title: '라벨 삭제',
      deleteList_title: '목록 삭제',
      deleteProject_title: '프로젝트 삭제',
      deleteTask_title: '작업 삭제',
      deleteUser_title: '사용자 삭제',
      description: '설명',
      detectAutomatically: '자동 감지',
      dropFileToUpload: '업로드할 파일을 드롭하세요',
      editor: '편집기',
      editAttachment_title: '첨부 파일 편집',
      editAvatar_title: '아바타 편집',
      editDueDate_title: '마감일 편집',
      editEmail_title: '이메일 편집',
      editInformation_title: '정보 편집',
      editLabel_title: '라벨 편집',
      editPassword_title: '비밀번호 편집',
      editPermissions_title: '권한 편집',
      editStopwatch_title: '스톱워치 편집',
      editUsername_title: '사용자 이름 편집',
      email: '이메일',
      enterCardTitle: '카드 제목 입력...',
      enterDescription: '설명 입력...',
      enterFilename: '파일 이름 입력',
      enterListTitle: '목록 제목 입력...',
      enterTaskDescription: '작업 설명 입력...',
      filterByLabels_title: '라벨별 필터링',
      filterByMembers_title: '멤버별 필터링',
      fromComputer_title: '컴퓨터에서',
      fromTrello: 'Trello에서',
      general: '일반',
      hours: '시간',
      importBoard_title: '보드 가져오기',
      invalidCurrentPassword: '잘못된 현재 비밀번호',
      labels: '라벨',
      language: '언어',
      leaveBoard_title: '보드 떠나기',
      leaveProject_title: '프로젝트 떠나기',
      list: '목록',
      listActions_title: '목록 작업',
      managers: '관리자',
      members: '멤버',
      memberActions_title: '멤버 작업',
      minutes: '분',
      moveCard_title: '카드 이동',
      name: '이름',
      newestFirst: '최신순',
      newEmail: '새 이메일',
      newPassword: '새 비밀번호',
      newUsername: '새 사용자 이름',
      noConnectionToServer: '서버에 연결되지 않음',
      noBoards: '보드 없음',
      noLists: '목록 없음',
      noProjects: '프로젝트 없음',
      notifications: '알림',
      noUnreadNotifications: '읽지 않은 알림 없음.',
      oldestFirst: '오래된 순',
      openBoard_title: '보드 열기',
      optional_inline: '선택 사항',
      organization: '조직',
      phone: '전화',
      preferences: '환경 설정',
      pressPasteShortcutToAddAttachmentFromClipboard:
        '팁: Ctrl-V (Mac에서는 Cmd-V)를 눌러 클립보드에서 첨부 파일을 추가하세요.',
      project: '프로젝트',
      projectNotFound_title: '프로젝트를 찾을 수 없음',
      removeManager_title: '관리자 제거',
      removeMember_title: '멤버 제거',
      searchCards: '카드 검색...',
      searchLabels: '라벨 검색...',
      searchMembers: '멤버 검색...',
      searchUsers: '사용자 검색...',
      seconds: '초',
      selectBoard: '보드 선택',
      selectList: '목록 선택',
      selectPermissions_title: '권한 선택',
      selectProject: '프로젝트 선택',
      settings: '설정',
      sortList_title: '목록 정렬',
      stopwatch: '스톱워치',
      subscribeToMyOwnCardsByDefault: '기본적으로 내 카드 구독',
      taskActions_title: '작업 작업',
      thereIsNoPreviewAvailableForThisAttachment:
        '이 첨부 파일에 대한 미리보기를 사용할 수 없습니다.',
      time: '시간',
      title: '제목',
      userActions_title: '사용자 작업',
      userAddedThisCardToList: '<0>{{user}}</0>님이 이 카드를 {{list}}에 추가했습니다',
      userLeftNewCommentToCard:
        '<0>{{user}}</0>님이 <2>{{card}}</2>에 새 댓글 «{{comment}}»을 남겼습니다',
      userMovedCardFromListToList:
        '<0>{{user}}</0>님이 <2>{{card}}</2>를 {{fromList}}에서 {{toList}}로 이동했습니다',
      userMovedThisCardFromListToList:
        '<0>{{user}}</0> 님이 {{fromList}}에서 {{toList}}로 이 카드를 옮겼습니다',
      username: '사용자 이름',
      users: '사용자들',
      viewer: '뷰어',
      writeComment: '댓글 작성...',
    },

    action: {
      addAnotherCard: '카드 추가',
      addAnotherList: '목록 추가',
      addAnotherTask: '작업 추가',
      addCard: '카드 추가',
      addCard_title: '카드 추가',
      addComment: '댓글 추가',
      addList: '목록 추가',
      addMember: '멤버 추가',
      addMoreDetailedDescription: '더 자세한 설명 추가',
      addTask: '작업 추가',
      addToCard: '카드에 추가',
      addUser: '사용자 추가',
      createBoard: '보드 생성',
      createFile: '파일 생성',
      createLabel: '라벨 생성',
      createNewLabel: '새 라벨 생성',
      createProject: '프로젝트 생성',
      delete: '삭제',
      deleteAttachment: '첨부 파일 삭제',
      deleteAvatar: '아바타 삭제',
      deleteBoard: '보드 삭제',
      deleteCard: '카드 삭제',
      deleteCard_title: '카드 삭제',
      deleteComment: '댓글 삭제',
      deleteLabel: '라벨 삭제',
      deleteList: '목록 삭제',
      deleteList_title: '목록 삭제',
      deleteProject: '프로젝트 삭제',
      deleteProject_title: '프로젝트 삭제',
      deleteTask: '작업 삭제',
      deleteTask_title: '작업 삭제',
      deleteUser: '사용자 삭제',
      dismissAll: '모두 해제',
      duplicate: '복제',
      duplicateCard_title: '카드 복제',
      edit: '편집',
      editColor_title: '색상 편집',
      editDueDate_title: '마감일 편집',
      editDescription_title: '설명 편집',
      editEmail_title: '이메일 편집',
      editInformation_title: '정보 편집',
      editPassword_title: '비밀번호 편집',
      editPermissions: '권한 편집',
      editStopwatch_title: '스톱워치 편집',
      editTitle_title: '제목 편집',
      editUsername_title: '사용자 이름 편집',
      import: '가져오기',
      leaveBoard: '보드 떠나기',
      leaveProject: '프로젝트 떠나기',
      logOut_title: '로그아웃',
      makeCover_title: '커버 만들기',
      move: '이동',
      moveCard_title: '카드 이동',
      remove: '제거',
      removeColor: '색상 제거',
      removeCover_title: '커버 제거',
      removeFromBoard: '보드에서 제거',
      removeFromProject: '프로젝트에서 제거',
      removeManager: '관리자 제거',
      removeMember: '멤버 제거',
      save: '저장',
      showAllAttachments: '모든 첨부 파일 보기 ({{hidden}} 숨김)',
      showFewerAttachments: '첨부 파일 적게 보기',
      start: '시작',
      stop: '중지',
      subscribe: '구독',
      unsubscribe: '구독 취소',
      uploadNewAvatar: '새 아바타 업로드',
      uploadNewImage: '새 이미지 업로드',
    },
  },
};
