import dateFns from 'date-fns/locale/ru';
import timeAgo from 'javascript-time-ago/locale/ru';
import markdownEditor from './markdown-editor.json';

export default {
  dateFns,
  timeAgo,
  markdownEditor,

  format: {
    date: 'P',
    time: 'HH:mm',
    dateTime: '$t(format:date) $t(format:time)',
    longDate: 'd MMM',
    longDateTime: "d MMMM 'в' p",
    fullDate: 'd MMM y',
    fullDateTime: "d MMMM y 'в' p",
  },

  translation: {
    common: {
      aboutPlanka: 'О проекте PLANKA',
      account: 'Учетная запись',
      actions: 'Действия',
      activateUser_title: 'Активировать пользователя',
      active: 'Активен',
      addAttachment_title: 'Добавление вложения',
      addCustomField_title: 'Добавить настраиваемое поле',
      addCustomFieldGroup_title: 'Добавить группу настраиваемых полей',
      addManager_title: 'Добавление менеджера',
      addMember_title: 'Добавление участника',
      addTaskList_title: 'Добавить список задач',
      addUser_title: 'Добавление пользователя',
      admin: 'Админ',
      administration: 'Администрирование',
      all: 'Все',
      allChangesWillBeAutomaticallySavedAfterConnectionRestored:
        'Все изменения сохранятся автоматически,<br />как только подключение восстановится.',
      alphabetically: 'По алфавиту',
      alwaysDisplayCardCreator: 'Всегда отображать создателя карточек',
      archive: 'Архив',
      archiveCard_title: 'Архивировать карточку',
      archiveCards_title: 'Архивировать карточки',
      areYouSureYouWantToActivateThisUser:
        'Вы уверены, что хотите активировать этого пользователя?',
      areYouSureYouWantToArchiveCards: 'Вы уверены, что хотите архивировать карточки?',
      areYouSureYouWantToArchiveThisCard: 'Вы уверены, что хотите архивировать эту карточку?',
      areYouSureYouWantToAssignThisProjectManagerAsOwner:
        'Вы уверены, что хотите назначить этого менеджера проекта владельцем?',
      areYouSureYouWantToDeactivateThisUser:
        'Вы уверены, что хотите деактивировать этого пользователя?',
      areYouSureYouWantToDeleteThisAttachment: 'Вы уверены, что хотите удалить это вложение?',
      areYouSureYouWantToDeleteThisBackgroundImage:
        'Вы уверены, что хотите удалить этот фоновый рисунок?',
      areYouSureYouWantToDeleteThisBoard: 'Вы уверены, что хотите удалить эту доску?',
      areYouSureYouWantToDeleteThisCard: 'Вы уверены, что хотите удалить эту карточку?',
      areYouSureYouWantToDeleteThisCardForever:
        'Вы уверены, что хотите навсегда удалить эту карточку?',
      areYouSureYouWantToDeleteThisComment: 'Вы уверены, что хотите удалить этот комментарий?',
      areYouSureYouWantToDeleteThisCustomField:
        'Вы уверены, что хотите удалить это настраиваемое поле?',
      areYouSureYouWantToDeleteThisCustomFieldGroup:
        'Вы уверены, что хотите удалить эту группу настраиваемых полей?',
      areYouSureYouWantToDeleteThisLabel: 'Вы уверены, что хотите удалить эту метку?',
      areYouSureYouWantToDeleteThisList: 'Вы уверены, что хотите удалить этот список?',
      areYouSureYouWantToDeleteThisNotificationService:
        'Вы уверены, что хотите удалить этот сервис уведомлений?',
      areYouSureYouWantToDeleteThisProject: 'Вы уверены, что хотите удалить этот проект?',
      areYouSureYouWantToDeleteThisTask: 'Вы уверены, что хотите удалить эту задачу?',
      areYouSureYouWantToDeleteThisTaskList: 'Вы уверены, что хотите удалить этот список задач?',
      areYouSureYouWantToDeleteThisUser: 'Вы уверены, что хотите удалить этого пользователя?',
      areYouSureYouWantToEmptyTrash: 'Вы уверены, что хотите очистить корзину?',
      areYouSureYouWantToLeaveBoard: 'Вы уверены, что хотите покинуть эту доску?',
      areYouSureYouWantToLeaveProject: 'Вы уверены, что хотите покинуть этот проект?',
      areYouSureYouWantToMakeThisProjectShared: 'Вы уверены, что хотите сделать этот проект общим?',
      areYouSureYouWantToRemoveThisManagerFromProject:
        'Вы уверены, что хотите удалить этого менеджера из проекта?',
      areYouSureYouWantToRemoveThisMemberFromBoard:
        'Вы уверены, что хотите удалить этого участника из доски?',
      assignAsOwner_title: 'Назначить владельцем',
      atLeastOneListMustBePresent: 'Должен быть хотя бы один список',
      attachment: 'Вложение',
      attachments: 'Вложения',
      authentication: 'Аутентификация',
      background: 'Фон',
      baseCustomFields_title: 'Основные настраиваемые поля',
      baseGroup: 'Основная группа',
      board: 'Доска',
      boardActions_title: 'Действия с доской',
      boardNotFound_title: 'Доска не найдена',
      boardSubscribed: 'Подписан на доску',
      boardUser: 'Пользователь доски',
      byCreationTime: 'По времени создания',
      byDefault: 'По умолчанию',
      byDueDate: 'По дате выполнения',
      canBeInvitedToWorkInBoards: 'Может быть приглашен для работы на досках.',
      canComment: 'Может комментировать',
      canCreateOwnProjectsAndBeInvitedToWorkInOthers:
        'Может создавать собственные проекты и быть приглашенным работать в других.',
      canEditBoardLayoutAndAssignMembersToCards:
        'Может редактировать макет доски и назначать участников для карточек.',
      canManageSystemWideSettingsAndActAsProjectOwner:
        'Может управлять глобальными настройками системы и выступать в роли владельца проекта.',
      canOnlyViewBoard: 'Может только просматривать доску.',
      cardActions_title: 'Действия с карточкой',
      cardNotFound_title: 'Карточка не найдена',
      cardsOnThisListAreAvailableToAllBoardMembers:
        'Карточки в этом списке доступны всем членам доски.',
      cardsOnThisListAreCompleteAndReadyToBeArchived:
        'Карточки в этом списке завершены и готовы к архивированию.',
      cardsOnThisListAreReadyToBeWorkedOn: 'Карточки в этом списке готовы к работе.',
      clickHereOrRefreshPageToUpdate: '<0>Нажмите здесь</0> или обновите страницу для обновления.',
      closed: 'Закрыто',
      color: 'Цвет',
      comments: 'Комментарии',
      contentExceedsLimit: 'Содержимое превышает {{limit}}',
      copy_inline: 'копия',
      createBoard_title: 'Создание доски',
      createCustomFieldGroup_title: 'Создать группу настраиваемых полей',
      createLabel_title: 'Создание метки',
      createNewOneOrSelectExistingOne: 'Создайте новую или выберите<br />уже существующую.',
      createProject_title: 'Создание проекта',
      createTextFile_title: 'Создание текстового файла',
      creator: 'Создатель',
      currentPassword: 'Текущий пароль',
      customField_title: 'Настраиваемое поле',
      customFieldGroup_title: 'Группа настраиваемых полей',
      customFieldGroups_title: 'Группы настраиваемых полей',
      customFields_title: 'Настраиваемые поля',
      dangerZone_title: 'Опасная зона',
      date: 'Дата',
      deactivateUser_title: 'Деактивировать пользователя',
      defaultCardType_title: 'Тип карточки по умолчанию',
      defaultView_title: 'Вид по умолчанию',
      deleteAllBoardsToBeAbleToDeleteThisProject:
        'Удалите все доски, чтобы иметь возможность удалить этот проект',
      deleteAttachment_title: 'Удаление вложения',
      deleteBackgroundImage_title: 'Удалить фоновое изображение',
      deleteBoard_title: 'Удаление доски',
      deleteCard_title: 'Удаление карточки',
      deleteCardForever_title: 'Удалить карточку навсегда',
      deleteComment_title: 'Удаление комментария',
      deleteCustomField_title: 'Удалить настраиваемое поле',
      deleteCustomFieldGroup_title: 'Удалить группу настраиваемых полей',
      deletedUser_title: 'Удалённый пользователь',
      deleteLabel_title: 'Удаление метки',
      deleteList_title: 'Удаление списка',
      deleteNotificationService_title: 'Удалить сервис уведомлений',
      deleteProject_title: 'Удаление проекта',
      deleteTask_title: 'Удаление задачи',
      deleteTaskList_title: 'Удалить список задач',
      deleteUser_title: 'Удаление пользователя',
      description: 'Описание',
      detectAutomatically: 'Определить автоматически',
      display: 'Отображение',
      dropFileToUpload: 'Перетяните файл, чтобы загрузить',
      dueDate_title: 'Срок исполнения',
      dynamicAndUnevenlySpacedLayout: 'Динамичное и неравномерно распределённое расположение',
      editAttachment_title: 'Изменение вложения',
      editAvatar_title: 'Изменение аватара',
      editColor_title: 'Изменить цвет',
      editCustomField_title: 'Изменить настраиваемое поле',
      editCustomFieldGroup_title: 'Изменить группу настраиваемых полей',
      editDueDate_title: 'Изменить срок выполнения',
      editEmail_title: 'Изменение e-mail',
      editInformation_title: 'Изменение информации',
      editLabel_title: 'Изменение метки',
      editor: 'Редактор',
      editors: 'Редакторы',
      editPassword_title: 'Изменение пароля',
      editPermissions_title: 'Редактирование разрешений',
      editRole_title: 'Изменить роль',
      editStopwatch_title: 'Изменение секундомера',
      editType_title: 'Изменить тип',
      editUsername_title: 'Изменение имени пользователя',
      email: 'E-mail',
      emptyTrash_title: 'Очистить корзину',
      enterCardTitle: 'Введите заголовок для этой карточки...',
      enterDescription: 'Введите описание...',
      enterFilename: 'Введите название файла',
      enterListTitle: 'Введите заголовок списка...',
      enterTaskDescription: 'Введите описание задачи...',
      filterByLabels_title: 'Фильтр по меткам',
      filterByMembers_title: 'Фильтр по участникам',
      forPersonalProjects: 'Для личных проектов',
      forTeamBasedProjects: 'Для командных проектов',
      fromComputer_title: 'С компьютера',
      fromTrello: 'Из Trello',
      general: 'Основные',
      gradients: 'Градиенты',
      grid: 'Сетка',
      hideFromProjectListAndFavorites: 'Скрыть из списка проектов и избранного',
      hours: 'Часы',
      importBoard_title: 'Импорт доски',
      invalidCurrentPassword: 'Неверный текущий пароль',
      kanban: 'Канбан',
      labels: 'Метки',
      language: 'Язык',
      leaveBoard_title: 'Покинуть доску',
      leaveProject_title: 'Покинуть проект',
      limitCardTypesToDefaultOne: 'Разрешён только тип карточки по умолчанию',
      list: 'Список',
      listActions_title: 'Действия со списком',
      lists: 'Списки',
      makeProjectShared_title: 'Сделать проект общим',
      managers: 'Менеджеры',
      memberActions_title: 'Действия участников',
      members: 'Участники',
      minutes: 'Минуты',
      moveCard_title: 'Перемещение карточки',
      myOwn_title: 'Мой собственный',
      name: 'Имя',
      newEmail: 'Новый e-mail',
      newestFirst: 'Новые первые',
      newPassword: 'Новый пароль',
      newUsername: 'Новое имя пользователя',
      newVersionAvailable: 'Доступна новая версия',
      noBoards: 'Досок нет',
      noConnectionToServer: 'Нет соединения с сервером',
      noLists: 'Списков нет',
      noProjects: 'Проектов нет',
      notifications: 'Уведомления',
      noUnreadNotifications: 'Уведомлений нет.',
      oldestFirst: 'Старые первые',
      openBoard_title: 'Откройте доску',
      optional_inline: 'необязательно',
      organization: 'Организация',
      others: 'Другие',
      phone: 'Телефон',
      plankaUsesAppriseToSendNotificationsToOver100PopularServices:
        'PLANKA использует <1><0>Apprise</0></1> для отправки уведомлений в более чем 100 популярных сервисов.',
      preferences: 'Предпочтения',
      pressPasteShortcutToAddAttachmentFromClipboard:
        'Совет: нажмите Ctrl-V (Cmd-V на Mac), чтобы добавить вложение из буфера обмена.',
      private: 'Частный',
      project: 'Проект',
      projectNotFound_title: 'Проект не найден',
      projectOwner: 'Владелец проекта',
      referenceDataAndKnowledgeStorage: 'Хранение справочных данных и знаний',
      removeManager_title: 'Удалить менеджера',
      removeMember_title: 'Удаление участника',
      role: 'Роль',
      searchCards: 'Поиск карточек...',
      searchCustomFieldGroups: 'Поиск групп настраиваемых полей...',
      searchCustomFields: 'Поиск настраиваемых полей...',
      searchLabels: 'Поиск меток...',
      searchLists: 'Поиск списков...',
      searchMembers: 'Поиск участников...',
      searchProjects: 'Поиск проектов...',
      searchUsers: 'Поиск пользователей...',
      seconds: 'Секунды',
      selectAssignee_title: 'Выбрать исполнителя',
      selectBoard: 'Выберите доску',
      selectList: 'Выберите список',
      selectListToRestoreThisCard: 'Выберите список для восстановления этой карточки',
      selectOrder_title: 'Выбрать порядок',
      selectPermissions_title: 'Выбор разрешений',
      selectProject: 'Выберите проект',
      selectRole_title: 'Выбрать роль',
      selectType_title: 'Выбрать тип',
      sequentialDisplayOfCards: 'Последовательное отображение карточек',
      settings: 'Настройки',
      shared: 'Общий',
      sharedWithMe_title: 'Общий со мной',
      showOnFrontOfCard: 'Показать на лицевой стороне карточки',
      sortList_title: 'Сортировка списка',
      stopwatch: 'Секундомер',
      story: 'История',
      subscribeToCardWhenCommenting: 'Подписаться на карточку при комментировании',
      subscribeToMyOwnCardsByDefault: 'По умолчанию подписываться на мои собственные карточки',
      taskActions_title: 'Действия по задаче',
      taskAssignmentAndProjectCompletion: 'Назначение задач и завершение проекта',
      taskList_title: 'Список задач',
      taskListActions_title: 'Действия с списком задач',
      team: 'Команда',
      thereIsNoPreviewAvailableForThisAttachment: 'Предпросмотр для этого вложения недоступен.',
      time: 'Время',
      title: 'Название',
      trash: 'Корзина',
      trashHasBeenSuccessfullyEmptied: 'Корзина успешно очищена',
      turnOffRecentCardHighlighting: 'Выключить подсветку последних карточек',
      typeNameToConfirm: 'Введите имя для подтверждения',
      typeTitleToConfirm: 'Введите название для подтверждения',
      unsavedChanges: 'Несохранённые изменения',
      uploadedImages: 'Загруженные изображения',
      userActions_title: 'Действия с пользователем',
      userAddedThisCardToList: '<0>{{user}}</0> добавил(а) эту карточку в {{list}}',
      userLeftNewCommentToCard:
        '<0>{{user}}</0> оставил(а) комментарий «{{comment}}» к <2>{{card}}</2>',
      userMovedCardFromListToList:
        '<0>{{user}}</0> переместил(а) <2>{{card}}</2> из {{fromList}} в {{toList}}',
      userMovedThisCardFromListToList:
        '<0>{{user}}</0> переместил(а) эту карточку из {{fromList}} в {{toList}}',
      username: 'Имя пользователя',
      users: 'Пользователи',
      viewer: 'Читатель',
      viewers: 'Читатели',
      visualTaskManagementWithLists: 'Визуальное управление задачами с помощью списков',
      withoutBaseGroup: 'Без основной группы',
      writeComment: 'Напишите комментарий...',
    },

    action: {
      activateUser: 'Активировать пользователя',
      activateUser_title: 'Активировать пользователя',
      addAnotherCard: 'Добавить еще одну карточку',
      addAnotherList: 'Добавить еще один список',
      addAnotherTask: 'Добавить еще одну задачу',
      addCard: 'Добавить карточку',
      addCard_title: 'Добавить карточку',
      addComment: 'Добавить комментарий',
      addCustomField: 'Добавить настраиваемое поле',
      addCustomFieldGroup: 'Добавить группу настраиваемых полей',
      addList: 'Добавить список',
      addMember: 'Добавить участника',
      addMoreDetailedDescription: 'Добавить более подробное описание',
      addTask: 'Добавить задачу',
      addTaskList: 'Добавить список задач',
      addToCard: 'Добавить на карточку',
      addUser: 'Добавить пользователя',
      archive: 'Архив',
      archiveCard: 'Архивировать карточку',
      archiveCard_title: 'Архивировать карточку',
      archiveCards: 'Архивировать карточки',
      archiveCards_title: 'Архивировать карточки',
      assignAsOwner: 'Назначить владельцем',
      cancel: 'Отменить',
      createBoard: 'Создать доску',
      createCustomFieldGroup: 'Создать группу настраиваемых полей',
      createFile: 'Создать файл',
      createLabel: 'Создать метку',
      createNewLabel: 'Создать новую метку',
      createProject: 'Создать проект',
      deactivateUser: 'Деактивировать пользователя',
      deactivateUser_title: 'Деактивировать пользователя',
      delete: 'Удалить',
      deleteAttachment: 'Удалить вложение',
      deleteAvatar: 'Удалить аватар',
      deleteBackgroundImage: 'Удалить фоновое изображение',
      deleteBoard: 'Удалить доску',
      deleteBoard_title: 'Удалить доску',
      deleteCard: 'Удалить карточку',
      deleteCard_title: 'Удалить карточку',
      deleteCardForever: 'Удалить карточку навсегда',
      deleteComment: 'Удалить комментарий',
      deleteCustomField: 'Удалить настраиваемое поле',
      deleteCustomFieldGroup: 'Удалить группу настраиваемых полей',
      deleteForever_title: 'Удалить навсегда',
      deleteGroup: 'Удалить группу',
      deleteLabel: 'Удалить метку',
      deleteList: 'Удалить список',
      deleteList_title: 'Удалить список',
      deleteNotificationService: 'Удалить сервис уведомлений',
      deleteProject: 'Удалить проект',
      deleteProject_title: 'Удалить проект',
      deleteTask: 'Удалить задачу',
      deleteTask_title: 'Удалить задачу',
      deleteTaskList: 'Удалить список задач',
      deleteUser: 'Удалить пользователя',
      deleteUser_title: 'Удалить пользователя',
      dismissAll: 'Отклонить все',
      duplicate: 'Дублировать',
      duplicateCard_title: 'Дублировать карточку',
      edit: 'Изменить',
      editColor_title: 'Изменить цвет',
      editDescription_title: 'Изменить описание',
      editDueDate_title: 'Изменить срок',
      editEmail_title: 'Изменить e-mail',
      editGroup: 'Изменить группу',
      editInformation_title: 'Изменить информацию',
      editPassword_title: 'Изменить пароль',
      editPermissions: 'Изменить разрешения',
      editRole_title: 'Изменить роль',
      editStopwatch_title: 'Изменить секундомер',
      editTitle_title: 'Изменить название',
      editType_title: 'Изменить тип',
      editUsername_title: 'Изменить имя пользователя',
      emptyTrash: 'Очистить корзину',
      emptyTrash_title: 'Очистить корзину',
      import: 'Импорт',
      join: 'Присоединиться',
      leave: 'Покинуть',
      leaveBoard: 'Покинуть доску',
      leaveProject: 'Покинуть проект',
      logOut_title: 'Выйти',
      makeCover_title: 'Сделать обложкой',
      makeProjectShared: 'Сделать проект общим',
      makeProjectShared_title: 'Сделать проект общим',
      move: 'Переместить',
      moveCard_title: 'Переместить карточку',
      remove: 'Убрать',
      removeAssignee: 'Удалить исполнителя',
      removeColor: 'Удалить цвет',
      removeCover_title: 'Убрать обложку',
      removeFromBoard: 'Удалить из доски',
      removeFromProject: 'Удалить из проекта',
      removeManager: 'Удалить менеджера',
      removeMember: 'Удалить участника',
      restoreToList: 'Восстановить в {{list}}',
      returnToBoard: 'Вернуться на доску',
      save: 'Сохранить',
      showActive: 'Показать активные',
      showAllAttachments: 'Показать все вложения ({{hidden}} скрыто)',
      showCardsWithThisUser: 'Показать карточки с этим пользователем',
      showDeactivated: 'Показать деактивированные',
      showFewerAttachments: 'Показать меньше вложений',
      sortList_title: 'Сортировать список',
      start: 'Начать',
      stop: 'Остановить',
      subscribe: 'Подписаться',
      unsubscribe: 'Отписаться',
      uploadNewAvatar: 'Загрузить новый аватар',
      uploadNewImage: 'Загрузить новое изображение',
    },
  },
};
