import dateFns from 'date-fns/locale/sv';
import timeAgo from 'javascript-time-ago/locale/sv';

export default {
  dateFns,
  timeAgo,

  format: {
    date: 'd/M/yyyy',
    time: 'p',
    dateTime: '$t(format:date) $t(format:time)',
    longDate: 'MMM d',
    longDateTime: "MMMM d 'at' p",
    fullDate: 'MMM d, y',
    fullDateTime: "MMMM d, y 'at' p",
  },

  translation: {
    common: {
      account: 'Konto',
      actions: 'Åtgärder',
      addAttachment_title: 'Bifoga',
      addManager_title: 'Lägg till projektledare',
      addMember_title: 'Lägg till medlem',
      addUser_title: 'Lägg till användare',
      all: 'Alla',
      allChangesWillBeAutomaticallySavedAfterConnectionRestored:
        'Alla ändringar kommer att sparas automatiskt<br />så fort anslutningen är återställd.',
      areYouSureYouWantToDeleteThisAttachment:
        'Är du säker på att du vill ta bort den här bilagan?',
      areYouSureYouWantToDeleteThisBoard: 'Är du säker på att du vill ta bort den här tavlan?',
      areYouSureYouWantToDeleteThisCard: 'Är du säker på att du vill ta bort det här kortet?',
      areYouSureYouWantToDeleteThisComment:
        'Är du säker på att du vill ta bort den här kommentaren?',
      areYouSureYouWantToDeleteThisLabel: 'Är du säker på att du vill ta bort den här etiketten?',
      areYouSureYouWantToDeleteThisList: 'Är du säker på att du vill ta bort den här listan?',
      areYouSureYouWantToDeleteThisProject: 'Är du säker på att du vill ta bort det här projektet?',
      areYouSureYouWantToDeleteThisTask: 'Är du säker på att du vill ta bort den här uppgiften?',
      areYouSureYouWantToDeleteThisUser: 'Är du säker på att du vill ta bort den här användaren?',
      areYouSureYouWantToLeaveBoard: 'Är du säker på att du vill lämna tavlan?',
      areYouSureYouWantToLeaveProject: 'Är du säker på att du vill lämna projektet?',
      areYouSureYouWantToRemoveThisManagerFromProject:
        'Är du säker på att du vill ta bort den här projektledaren från projektet?',
      areYouSureYouWantToRemoveThisMemberFromBoard:
        'Är du säker på att du vill ta bort den här medlemmen från tavlan?',
      attachment: 'Bilaga',
      attachments: 'Bilagor',
      authentication: 'Autentisering',
      background: 'Bakgrund',
      board: 'Tavla',
      boardNotFound_title: 'Tavla hittades inte',
      cardActions_title: 'Kortåtgärder',
      cardNotFound_title: 'Kort hittades inte',
      color: 'Färg',
      createBoard_title: 'Skapa tavla',
      createLabel_title: 'Skapa etikett',
      createNewOneOrSelectExistingOne: 'Skapa en ny eller välj<br />en redan existerande.',
      createProject_title: 'Skapa projekt',
      createTextFile_title: 'Skapa textfil',
      currentPassword: 'Nuvarande lösenord',
      dangerZone_title: 'Farozon',
      date: 'Datum',
      dueDate_title: 'Förfallodatum',
      deleteAttachment_title: 'Ta bort bilaga',
      deleteBoard_title: 'Ta bort tavla',
      deleteCard_title: 'Ta bort kort',
      deleteComment_title: 'Ta bort kommentar',
      deleteLabel_title: 'Ta bort etikett',
      deleteList_title: 'Ta bort lista',
      deleteProject_title: 'Ta bort projekt',
      deleteTask_title: 'Ta bort uppgift',
      deleteUser_title: 'Ta bort användare',
      description: 'Beskrivning',
      dropFileToUpload: 'Släpp en fil för att ladda upp',
      editAttachment_title: 'Redigera bilaga',
      editAvatar_title: 'Redigera avatar',
      editDueDate_title: 'Redigera förfallodatum',
      editEmail_title: 'Redigera e-mail',
      editLabel_title: 'Redigera etikett',
      editPassword_title: 'Redigera lösenord',
      editStopwatch_title: 'Redigera timer',
      editUsername_title: 'Redigera användarnamn',
      email: 'E-mail',
      enterCardTitle: 'Ange kortets titel...',
      enterDescription: 'Ange beskrivning...',
      enterFilename: 'Ange filnamn',
      enterListTitle: 'Ange listans titel...',
      enterTaskDescription: 'Ange uppgiftsbeskrivning...',
      filterByLabels_title: 'Filtrera efter etiketter',
      filterByMembers_title: 'Filtrera efter medlemmar',
      fromComputer_title: 'Från dator',
      general: 'Allmänt',
      hours: 'Timmar',
      invalidCurrentPassword: 'Ogiltigt nuvarande lösenord',
      labels: 'Etiketter',
      leaveBoard_title: 'Lämna tavla',
      leaveProject_title: 'Lämna projekt',
      list: 'Lista',
      listActions_title: 'Liståtgärder',
      managers: 'Projektledare',
      members: 'Medlemmar',
      minutes: 'Minuter',
      moveCard_title: 'Flytta kort',
      name: 'Namn',
      newEmail: 'Ny e-mail',
      newPassword: 'Nytt lösenord',
      newUsername: 'Nytt användarnamn',
      noConnectionToServer: 'Ingen anslutning till servern',
      noBoards: 'Inga tavlor',
      noLists: 'Inga listor',
      noProjects: 'Inga projekt',
      notifications: 'Notifikationer',
      noUnreadNotifications: 'Inga olästa notifikationer.',
      openBoard_title: 'Öppna tavla',
      optional_inline: 'valfri',
      organization: 'Organisation',
      phone: 'Telefon',
      preferences: 'Preferenser',
      pressPasteShortcutToAddAttachmentFromClipboard:
        'Tips: tryck på Ctrl-V (Cmd-V på Mac) för att lägga till en bilaga från urklipp.',
      project: 'Projekt',
      projectNotFound_title: 'Projekt hittades inte',
      removeManager_title: 'Ta bort projektledare',
      removeMember_title: 'Ta bort medlem',
      seconds: 'Sekunder',
      selectBoard: 'Välj tavla',
      selectList: 'Välj lista',
      selectProject: 'Välj projekt',
      settings: 'Inställningar',
      stopwatch: 'Timer',
      subscribeToMyOwnCardsByDefault: 'Prenumerera på mina egna kort som standard',
      taskActions_title: 'Uppgiftsåtgärder',
      time: 'Tid',
      title: 'Titel',
      userActions_title: 'Användaråtgärder',
      userAddedThisCardToList: '<0>{{user}}</0> lade till detta kort i {{list}}',
      userLeftNewCommentToCard:
        '<0>{{user}}</0> lämnade en ny kommentar «{{comment}}» på <2>{{card}}</2>',
      userMovedCardFromListToList:
        '<0>{{user}}</0> flyttade <2>{{card}}</2> från {{fromList}} till {{toList}}',
      userMovedThisCardFromListToList:
        '<0>{{user}}</0> flyttade detta kort från {{fromList}} till {{toList}}',
      username: 'Användarnamn',
      users: 'Användare',
      writeComment: 'Skriv en kommentar...',
    },

    action: {
      addAnotherCard: 'Lägg till ytterligare ett kort',
      addAnotherList: 'Lägg till ytterligare en lista',
      addAnotherTask: 'Lägg till ytterligare en uppgift',
      addCard: 'Lägg till kort',
      addCard_title: 'Lägg Till Kort',
      addComment: 'Lägg till kommentar',
      addList: 'Lägg till lista',
      addMoreDetailedDescription: 'Lägg till en mer detaljerad beskrivning',
      addTask: 'Lägg till uppgift',
      addToCard: 'Lägg till i kort',
      addUser: 'Lägg till användare',
      createBoard: 'Skapa tavla',
      createFile: 'Skapa fil',
      createLabel: 'Skapa etikett',
      createNewLabel: 'Skapa ny etikett',
      createProject: 'Skapa projekt',
      delete: 'Ta Bort',
      deleteAttachment: 'Ta bort bilaga',
      deleteAvatar: 'Ta bort avatar',
      deleteBoard: 'Ta bort tavla',
      deleteCard: 'Ta bort kort',
      deleteCard_title: 'Ta bort kort',
      deleteComment: 'Ta bort kommentar',
      deleteLabel: 'Ta bort etikett',
      deleteList: 'Ta bort lista',
      deleteList_title: 'Ta bort lista',
      deleteProject: 'Ta bort projekt',
      deleteProject_title: 'Ta bort projekt',
      deleteTask: 'Ta bort uppgift',
      deleteTask_title: 'Ta bort uppgift',
      deleteUser: 'Ta bort användare',
      dismissAll: 'Avvisa alla',
      edit: 'Redigera',
      editDueDate_title: 'Redigera förfallodatum',
      editDescription_title: 'Redigera beskrivning',
      editEmail_title: 'Redigera e-mail',
      editPassword_title: 'Redigera lösenord',
      editStopwatch_title: 'Redigera timer',
      editTitle_title: 'Redigera titel',
      editUsername_title: 'Redigera användarnamn',
      leaveBoard: 'Lämna tavla',
      leaveProject: 'Lämna projekt',
      logOut_title: 'Logga ut',
      makeCover_title: 'Skapa omslagsbild',
      move: 'Flytta',
      moveCard_title: 'Flytta kort',
      remove: 'Ta bort',
      removeCover_title: 'Ta bort omslagsbild',
      removeFromBoard: 'Ta bort from tavla',
      removeFromProject: 'Ta bort from projekt',
      removeManager: 'Ta bort projektledare',
      removeMember: 'Ta bort medlem',
      save: 'Spara',
      showAllAttachments: 'Visa alla bilagor ({{hidden}} dolda)',
      showFewerAttachments: 'Visa färre bilagor',
      start: 'Starta',
      stop: 'Stoppa',
      subscribe: 'Prenumerera',
      unsubscribe: 'Avprenumerera',
      uploadNewAvatar: 'Ladda upp ny avatar',
      uploadNewImage: 'Ladda upp ny bild',
    },
  },
};
